/* application-window.c generated by valac 0.56.17, the Vala compiler
 * generated from application-window.vala, do not modify */

/*
Peek Copyright (c) 2015-2020 by Philipp Wolfer <ph.wolfer@gmail.com>

This file is part of Peek.

This software is licensed under the GNU General Public License
(version 3 or later). See the LICENSE file in this distribution.

This file contains GPL 3 code taken from corebird, a Gtk+ linux Twitter client.
Copyright (C) 2013 Timm Bäder, https://github.com/baedert/corebird/
*/

#include <gtk/gtk.h>
#include <glib-object.h>
#include "../../application.h"
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gdk/gdk.h>
#include <stdio.h>
#include <glib/gi18n-lib.h>
#include <cairo-gobject.h>
#include <pango/pango.h>
#include <glib/gstdio.h>

#define PEEK_UI_APPLICATION_WINDOW_SMALL_WINDOW_SIZE 400
#define PEEK_APP_ID "com.uploadedlobster.peek"
#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

#define PEEK_UI_TYPE_APPLICATION_WINDOW (peek_ui_application_window_get_type ())
#define PEEK_UI_APPLICATION_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PEEK_UI_TYPE_APPLICATION_WINDOW, PeekUiApplicationWindow))
#define PEEK_UI_APPLICATION_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PEEK_UI_TYPE_APPLICATION_WINDOW, PeekUiApplicationWindowClass))
#define PEEK_UI_IS_APPLICATION_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PEEK_UI_TYPE_APPLICATION_WINDOW))
#define PEEK_UI_IS_APPLICATION_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PEEK_UI_TYPE_APPLICATION_WINDOW))
#define PEEK_UI_APPLICATION_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PEEK_UI_TYPE_APPLICATION_WINDOW, PeekUiApplicationWindowClass))

typedef struct _PeekUiApplicationWindow PeekUiApplicationWindow;
typedef struct _PeekUiApplicationWindowClass PeekUiApplicationWindowClass;
typedef struct _PeekUiApplicationWindowPrivate PeekUiApplicationWindowPrivate;
enum  {
	PEEK_UI_APPLICATION_WINDOW_0_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_RECORDER_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_OPEN_FILE_MANAGER_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_SHOW_NOTIFICATION_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_SIZE_INDICATOR_DELAY_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_RECORDING_START_DELAY_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_DEFAULT_FILE_NAME_FORMAT_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_SAVE_FOLDER_PROPERTY,
	PEEK_UI_APPLICATION_WINDOW_NUM_PROPERTIES
};
static GParamSpec* peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block3Data Block3Data;
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _pango_attr_list_unref0(var) ((var == NULL) ? NULL : (var = (pango_attr_list_unref (var), NULL)))
typedef struct _Block4Data Block4Data;
typedef struct _Block5Data Block5Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _cairo_region_destroy0(var) ((var == NULL) ? NULL : (var = (cairo_region_destroy (var), NULL)))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_variant_builder_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_builder_unref (var), NULL)))
enum  {
	PEEK_UI_APPLICATION_WINDOW_RECORDING_FINISHED_SIGNAL,
	PEEK_UI_APPLICATION_WINDOW_NUM_SIGNALS
};
static guint peek_ui_application_window_signals[PEEK_UI_APPLICATION_WINDOW_NUM_SIGNALS] = {0};

struct _PeekUiApplicationWindow {
	GtkApplicationWindow parent_instance;
	PeekUiApplicationWindowPrivate * priv;
};

struct _PeekUiApplicationWindowClass {
	GtkApplicationWindowClass parent_class;
};

struct _PeekUiApplicationWindowPrivate {
	PeekRecordingScreenRecorder* _recorder;
	gboolean _open_file_manager;
	gboolean _show_notification;
	gint _size_indicator_delay;
	gint _recording_start_delay;
	gchar* _default_file_name_format;
	gchar* _save_folder;
	GtkHeaderBar* headerbar;
	GtkWidget* recording_view;
	GtkButton* record_button;
	GtkButton* stop_button;
	GtkPopover* pop_format;
	GtkRadioButton* gif_button;
	GtkRadioButton* apng_button;
	GtkRadioButton* webm_button;
	GtkRadioButton* mp4_button;
	GtkMenuButton* pop_format_menu;
	GtkLabel* size_indicator;
	GtkLabel* delay_indicator;
	GtkLabel* shortcut_label;
	GtkToggleButton* pop_menu_button;
	GtkPopover* pop_menu;
	guint start_recording_event_source;
	guint size_indicator_timeout;
	guint delay_indicator_timeout;
	guint time_indicator_timeout;
	gboolean is_recording;
	gboolean is_postprocessing;
	GFile* in_file;
	GFile* out_file;
	PeekRecordingRecordingArea active_recording_area;
	gchar* stop_button_label;
	GSettings* settings;
};

struct _Block3Data {
	int _ref_count_;
	PeekUiApplicationWindow* self;
	GtkLabel* title;
};

struct _Block4Data {
	int _ref_count_;
	PeekUiApplicationWindow* self;
	gint delay;
};

struct _Block5Data {
	int _ref_count_;
	Block4Data * _data4_;
	gulong hide_handler;
};

static gint PeekUiApplicationWindow_private_offset;
static gpointer peek_ui_application_window_parent_class = NULL;

VALA_EXTERN GType peek_ui_application_window_get_type (void) G_GNUC_CONST ;
VALA_EXTERN PeekUiApplicationWindow* peek_ui_application_window_new (PeekApplication* application,
                                                         PeekRecordingScreenRecorder* recorder);
VALA_EXTERN PeekUiApplicationWindow* peek_ui_application_window_construct (GType object_type,
                                                               PeekApplication* application,
                                                               PeekRecordingScreenRecorder* recorder);
VALA_EXTERN void peek_ui_application_window_set_recorder (PeekUiApplicationWindow* self,
                                              PeekRecordingScreenRecorder* value);
VALA_EXTERN PeekRecordingScreenRecorder* peek_ui_application_window_get_recorder (PeekUiApplicationWindow* self);
static void __lambda4_ (PeekUiApplicationWindow* self);
static void peek_ui_application_window_enter_recording_state (PeekUiApplicationWindow* self);
static void ___lambda4__peek_recording_screen_recorder_recording_started (PeekRecordingScreenRecorder* _sender,
                                                                   gpointer self);
static void __lambda6_ (PeekUiApplicationWindow* self);
static void peek_ui_application_window_show_file_chooser (PeekUiApplicationWindow* self);
static void ___lambda6__peek_recording_screen_recorder_recording_postprocess_started (PeekRecordingScreenRecorder* _sender,
                                                                               gpointer self);
static void __lambda10_ (PeekUiApplicationWindow* self,
                  GFile* file);
static void peek_ui_application_window_try_save_file (PeekUiApplicationWindow* self);
static void ___lambda10__peek_recording_screen_recorder_recording_finished (PeekRecordingScreenRecorder* _sender,
                                                                     GFile* file,
                                                                     gpointer self);
static void __lambda11_ (PeekUiApplicationWindow* self,
                  GError* reason);
VALA_EXTERN GtkDialog* peek_ui_error_dialog_present_single_instance (GtkWindow* main_window,
                                                         const gchar* summary,
                                                         GError* _error_);
static void peek_ui_application_window_leave_recording_state (PeekUiApplicationWindow* self);
static void ___lambda11__peek_recording_screen_recorder_recording_aborted (PeekRecordingScreenRecorder* _sender,
                                                                    GError* reason,
                                                                    gpointer self);
static void peek_ui_application_window_toggle_recording (PeekUiApplicationWindow* self);
static void _peek_ui_application_window_toggle_recording_peek_application_toggle_recording (PeekApplication* _sender,
                                                                                     gpointer self);
static void peek_ui_application_window_prepare_start_recording (PeekUiApplicationWindow* self);
static void _peek_ui_application_window_prepare_start_recording_peek_application_start_recording (PeekApplication* _sender,
                                                                                           gpointer self);
static void peek_ui_application_window_prepare_stop_recording (PeekUiApplicationWindow* self);
static void _peek_ui_application_window_prepare_stop_recording_peek_application_stop_recording (PeekApplication* _sender,
                                                                                         gpointer self);
static void __lambda16_ (PeekUiApplicationWindow* self,
                  GParamSpec* pspec);
static void peek_ui_application_window_update_format_label (PeekUiApplicationWindow* self);
static void ___lambda16__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void peek_ui_application_window_load_geometry (PeekUiApplicationWindow* self);
VALA_EXTERN void peek_ui_application_window_on_window_screen_changed (PeekUiApplicationWindow* self,
                                                          GdkScreen* previous_screen);
static void __lambda17_ (PeekUiApplicationWindow* self);
static void peek_ui_application_window_show_size_indicator (PeekUiApplicationWindow* self);
static void ___lambda17__gtk_widget_show (GtkWidget* _sender,
                                   gpointer self);
static void peek_ui_application_window_set_close_button_position (PeekUiApplicationWindow* self);
VALA_EXTERN void peek_ui_application_window_hide_headerbar (PeekUiApplicationWindow* self);
static gboolean peek_ui_application_window_real_configure_event (GtkWidget* base,
                                                          GdkEventConfigure* event);
VALA_EXTERN void peek_ui_application_window_get_recording_area (PeekUiApplicationWindow* self,
                                                    PeekRecordingRecordingArea* result);
static gboolean peek_ui_application_window_real_delete_event (GtkWidget* base,
                                                       GdkEventAny* event);
static void ___lambda19_ (PeekUiApplicationWindow* self,
                   PeekUiApplicationWindow* file);
static void ____lambda19__peek_ui_application_window_recording_finished (PeekUiApplicationWindow* _sender,
                                                                  gpointer self);
static GNotification* peek_ui_application_window_build_standard_notification (const gchar* message);
static void peek_ui_application_window_save_geometry (PeekUiApplicationWindow* self);
static gchar* peek_ui_application_window_get_format_name (PeekUiApplicationWindow* self,
                                                   PeekOutputFormat format);
static void peek_ui_application_window_select_format (PeekUiApplicationWindow* self,
                                               PeekOutputFormat format);
static void peek_ui_application_window_update_ui_size (PeekUiApplicationWindow* self,
                                                PeekRecordingRecordingArea* area);
static void peek_ui_application_window_update_time (PeekUiApplicationWindow* self);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
static gboolean __lambda15_ (Block3Data* _data3_);
static gboolean ___lambda15__gsource_func (gpointer self);
static void _peek_ui_application_window_on_window_screen_changed_gtk_widget_screen_changed (GtkWidget* _sender,
                                                                                     GdkScreen* previous_screen,
                                                                                     gpointer self);
static gboolean peek_ui_application_window_on_window_draw (PeekUiApplicationWindow* self,
                                                    GtkWidget* widget,
                                                    cairo_t* ctx);
static void peek_ui_application_window_update_input_shape (PeekUiApplicationWindow* self);
static gboolean _peek_ui_application_window_on_window_draw_gtk_widget_draw (GtkWidget* _sender,
                                                                     cairo_t* cr,
                                                                     gpointer self);
static gboolean peek_ui_application_window_on_recording_view_draw (PeekUiApplicationWindow* self,
                                                            GtkWidget* widget,
                                                            cairo_t* ctx);
static gboolean _peek_ui_application_window_on_recording_view_draw_gtk_widget_draw (GtkWidget* _sender,
                                                                             cairo_t* cr,
                                                                             gpointer self);
static void peek_ui_application_window_on_recording_view_size_allocate (PeekUiApplicationWindow* self,
                                                                 GtkAllocation* allocation);
static void _peek_ui_application_window_on_recording_view_size_allocate_gtk_widget_size_allocate (GtkWidget* _sender,
                                                                                           GtkAllocation* allocation,
                                                                                           gpointer self);
VALA_EXTERN void peek_ui_application_window_resize_recording_area (PeekUiApplicationWindow* self,
                                                       gint width,
                                                       gint height);
VALA_EXTERN gint peek_ui_application_window_get_size_indicator_delay (PeekUiApplicationWindow* self);
static gboolean _____lambda18_ (PeekUiApplicationWindow* self);
static gboolean ______lambda18__gsource_func (gpointer self);
static void peek_ui_application_window_on_format_selection_toggled (PeekUiApplicationWindow* self);
static void _peek_ui_application_window_on_format_selection_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                                        gpointer self);
static void peek_ui_application_window_on_record_button_clicked (PeekUiApplicationWindow* self,
                                                          GtkButton* source);
static void _peek_ui_application_window_on_record_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                              gpointer self);
static void peek_ui_application_window_on_stop_button_clicked (PeekUiApplicationWindow* self,
                                                        GtkButton* source);
static void _peek_ui_application_window_on_stop_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                            gpointer self);
static void peek_ui_application_window_on_new_window_button_clicked (PeekUiApplicationWindow* self,
                                                              GtkButton* source);
static void _peek_ui_application_window_on_new_window_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                                  gpointer self);
static void peek_ui_application_window_on_set_window_size_button_clicked (PeekUiApplicationWindow* self,
                                                                   GtkButton* source);
static void _peek_ui_application_window_on_set_window_size_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                                       gpointer self);
static void peek_ui_application_window_on_preferences_button_clicked (PeekUiApplicationWindow* self,
                                                               GtkButton* source);
VALA_EXTERN GtkWindow* peek_ui_preferences_dialog_present_single_instance (GtkWindow* main_window);
static void _peek_ui_application_window_on_preferences_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                                   gpointer self);
static void peek_ui_application_window_on_about_button_clicked (PeekUiApplicationWindow* self,
                                                         GtkButton* source);
VALA_EXTERN GtkDialog* peek_ui_about_dialog_present_single_instance (GtkWindow* main_window);
static void _peek_ui_application_window_on_about_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                             gpointer self);
static Block4Data* block4_data_ref (Block4Data* _data4_);
static void block4_data_unref (void * _userdata_);
VALA_EXTERN gint peek_ui_application_window_get_recording_start_delay (PeekUiApplicationWindow* self);
static gboolean ___lambda12_ (Block4Data* _data4_);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static void ___lambda13_ (Block5Data* _data5_);
static void peek_ui_application_window_start_recording (PeekUiApplicationWindow* self);
static void ____lambda13__gtk_widget_hide (GtkWidget* _sender,
                                    gpointer self);
static gboolean ____lambda12__gsource_func (gpointer self);
static void peek_ui_application_window_show_spinner (PeekUiApplicationWindow* self);
static gint peek_ui_application_window_get_window_width (PeekUiApplicationWindow* self);
static void peek_ui_application_window_hide_spinner (PeekUiApplicationWindow* self);
static gboolean __lambda14_ (PeekUiApplicationWindow* self);
static gboolean ___lambda14__gsource_func (gpointer self);
VALA_EXTERN void peek_ui_set_window_size_dialog_close_instance (void);
static void peek_ui_application_window_freeze_window_size (PeekUiApplicationWindow* self);
static void peek_ui_application_window_unfreeze_window_size (PeekUiApplicationWindow* self);
static void ___lambda9_ (PeekUiApplicationWindow* self,
                  GObject* obj,
                  GAsyncResult* res);
static void ____lambda9__gasync_ready_callback (GObject* source_object,
                                         GAsyncResult* res,
                                         gpointer self);
VALA_EXTERN const gchar* peek_ui_application_window_get_default_file_name_format (PeekUiApplicationWindow* self);
static gchar* peek_ui_application_window_load_preferred_save_folder (PeekUiApplicationWindow* self);
static void peek_ui_application_window_save_file (PeekUiApplicationWindow* self);
static void __lambda7_ (PeekUiApplicationWindow* self,
                 GObject* obj,
                 GAsyncResult* res);
static void peek_ui_application_window_handle_saved_file (PeekUiApplicationWindow* self,
                                                   GFile* file);
static void ___lambda7__gasync_ready_callback (GObject* source_object,
                                        GAsyncResult* res,
                                        gpointer self);
static void peek_ui_application_window_save_preferred_save_folder (PeekUiApplicationWindow* self,
                                                            GFile* out_file);
VALA_EXTERN gboolean peek_ui_application_window_get_open_file_manager (PeekUiApplicationWindow* self);
static void peek_ui_application_window_show_file_saved_notification (PeekUiApplicationWindow* self,
                                                              GFile* file);
VALA_EXTERN gboolean peek_ui_application_window_get_show_notification (PeekUiApplicationWindow* self);
VALA_EXTERN const gchar* peek_ui_application_window_get_save_folder (PeekUiApplicationWindow* self);
VALA_EXTERN void peek_ui_application_window_set_save_folder (PeekUiApplicationWindow* self,
                                                 const gchar* value);
static void peek_ui_application_window_move_close_button_left (PeekUiApplicationWindow* self);
VALA_EXTERN void peek_ui_application_window_set_open_file_manager (PeekUiApplicationWindow* self,
                                                       gboolean value);
VALA_EXTERN void peek_ui_application_window_set_show_notification (PeekUiApplicationWindow* self,
                                                       gboolean value);
VALA_EXTERN void peek_ui_application_window_set_size_indicator_delay (PeekUiApplicationWindow* self,
                                                          gint value);
VALA_EXTERN void peek_ui_application_window_set_recording_start_delay (PeekUiApplicationWindow* self,
                                                           gint value);
VALA_EXTERN void peek_ui_application_window_set_default_file_name_format (PeekUiApplicationWindow* self,
                                                              const gchar* value);
static void peek_ui_application_window_finalize (GObject * obj);
static GType peek_ui_application_window_get_type_once (void);
static void _vala_peek_ui_application_window_get_property (GObject * object,
                                                    guint property_id,
                                                    GValue * value,
                                                    GParamSpec * pspec);
static void _vala_peek_ui_application_window_set_property (GObject * object,
                                                    guint property_id,
                                                    const GValue * value,
                                                    GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);
static gssize _vala_array_length (gpointer array);
static inline gpointer _vala_memdup2 (gconstpointer mem,
                        gsize byte_size);

static inline gpointer
peek_ui_application_window_get_instance_private (PeekUiApplicationWindow* self)
{
	return G_STRUCT_MEMBER_P (self, PeekUiApplicationWindow_private_offset);
}

static void
__lambda4_ (PeekUiApplicationWindow* self)
{
#line 104 "../src/ui/application-window.vala"
	peek_ui_application_window_enter_recording_state (self);
#line 370 "application-window.c"
}

static void
___lambda4__peek_recording_screen_recorder_recording_started (PeekRecordingScreenRecorder* _sender,
                                                              gpointer self)
{
#line 103 "../src/ui/application-window.vala"
	__lambda4_ ((PeekUiApplicationWindow*) self);
#line 379 "application-window.c"
}

static void
__lambda6_ (PeekUiApplicationWindow* self)
{
#line 108 "../src/ui/application-window.vala"
	self->priv->is_postprocessing = TRUE;
#line 109 "../src/ui/application-window.vala"
	peek_ui_application_window_show_file_chooser (self);
#line 389 "application-window.c"
}

static void
___lambda6__peek_recording_screen_recorder_recording_postprocess_started (PeekRecordingScreenRecorder* _sender,
                                                                          gpointer self)
{
#line 107 "../src/ui/application-window.vala"
	__lambda6_ ((PeekUiApplicationWindow*) self);
#line 398 "application-window.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 113 "../src/ui/application-window.vala"
	return self ? g_object_ref (self) : NULL;
#line 406 "application-window.c"
}

static void
__lambda10_ (PeekUiApplicationWindow* self,
             GFile* file)
{
	GFile* _tmp0_;
#line 112 "../src/ui/application-window.vala"
	g_return_if_fail (file != NULL);
#line 113 "../src/ui/application-window.vala"
	_tmp0_ = _g_object_ref0 (file);
#line 113 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->in_file);
#line 113 "../src/ui/application-window.vala"
	self->priv->in_file = _tmp0_;
#line 114 "../src/ui/application-window.vala"
	peek_ui_application_window_try_save_file (self);
#line 424 "application-window.c"
}

static void
___lambda10__peek_recording_screen_recorder_recording_finished (PeekRecordingScreenRecorder* _sender,
                                                                GFile* file,
                                                                gpointer self)
{
#line 112 "../src/ui/application-window.vala"
	__lambda10_ ((PeekUiApplicationWindow*) self, file);
#line 434 "application-window.c"
}

static void
__lambda11_ (PeekUiApplicationWindow* self,
             GError* reason)
{
#line 118 "../src/ui/application-window.vala"
	if (reason != NULL) {
#line 443 "application-window.c"
		FILE* _tmp0_;
		const gchar* _tmp1_;
		GtkDialog* _tmp2_;
		GtkDialog* _tmp3_;
#line 119 "../src/ui/application-window.vala"
		_tmp0_ = stderr;
#line 119 "../src/ui/application-window.vala"
		_tmp1_ = reason->message;
#line 119 "../src/ui/application-window.vala"
		fprintf (_tmp0_, "Recording canceled: %s\n", _tmp1_);
#line 120 "../src/ui/application-window.vala"
		_tmp2_ = peek_ui_error_dialog_present_single_instance ((GtkWindow*) self, _ ("An unexpected error occurred during recording. Recording was aborted."), reason);
#line 120 "../src/ui/application-window.vala"
		_tmp3_ = _tmp2_;
#line 120 "../src/ui/application-window.vala"
		_g_object_unref0 (_tmp3_);
#line 460 "application-window.c"
	} else {
		FILE* _tmp4_;
#line 125 "../src/ui/application-window.vala"
		_tmp4_ = stderr;
#line 125 "../src/ui/application-window.vala"
		fprintf (_tmp4_, "Recording canceled\n");
#line 467 "application-window.c"
	}
#line 128 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->in_file);
#line 128 "../src/ui/application-window.vala"
	self->priv->in_file = NULL;
#line 129 "../src/ui/application-window.vala"
	peek_ui_application_window_leave_recording_state (self);
#line 475 "application-window.c"
}

static void
___lambda11__peek_recording_screen_recorder_recording_aborted (PeekRecordingScreenRecorder* _sender,
                                                               GError* reason,
                                                               gpointer self)
{
#line 117 "../src/ui/application-window.vala"
	__lambda11_ ((PeekUiApplicationWindow*) self, reason);
#line 485 "application-window.c"
}

static void
_peek_ui_application_window_toggle_recording_peek_application_toggle_recording (PeekApplication* _sender,
                                                                                gpointer self)
{
#line 132 "../src/ui/application-window.vala"
	peek_ui_application_window_toggle_recording ((PeekUiApplicationWindow*) self);
#line 494 "application-window.c"
}

static void
_peek_ui_application_window_prepare_start_recording_peek_application_start_recording (PeekApplication* _sender,
                                                                                      gpointer self)
{
#line 134 "../src/ui/application-window.vala"
	peek_ui_application_window_prepare_start_recording ((PeekUiApplicationWindow*) self);
#line 503 "application-window.c"
}

static void
_peek_ui_application_window_prepare_stop_recording_peek_application_stop_recording (PeekApplication* _sender,
                                                                                    gpointer self)
{
#line 136 "../src/ui/application-window.vala"
	peek_ui_application_window_prepare_stop_recording ((PeekUiApplicationWindow*) self);
#line 512 "application-window.c"
}

static void
__lambda16_ (PeekUiApplicationWindow* self,
             GParamSpec* pspec)
{
#line 194 "../src/ui/application-window.vala"
	g_return_if_fail (pspec != NULL);
#line 195 "../src/ui/application-window.vala"
	peek_ui_application_window_update_format_label (self);
#line 523 "application-window.c"
}

static void
___lambda16__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 194 "../src/ui/application-window.vala"
	__lambda16_ ((PeekUiApplicationWindow*) self, pspec);
#line 533 "application-window.c"
}

static void
__lambda17_ (PeekUiApplicationWindow* self)
{
#line 204 "../src/ui/application-window.vala"
	peek_ui_application_window_show_size_indicator (self);
#line 205 "../src/ui/application-window.vala"
	peek_ui_application_window_update_format_label (self);
#line 543 "application-window.c"
}

static void
___lambda17__gtk_widget_show (GtkWidget* _sender,
                              gpointer self)
{
#line 203 "../src/ui/application-window.vala"
	__lambda17_ ((PeekUiApplicationWindow*) self);
#line 552 "application-window.c"
}

PeekUiApplicationWindow*
peek_ui_application_window_construct (GType object_type,
                                      PeekApplication* application,
                                      PeekRecordingScreenRecorder* recorder)
{
	PeekUiApplicationWindow * self = NULL;
	PeekRecordingScreenRecorder* _tmp0_;
	PeekRecordingScreenRecorder* _tmp1_;
	PeekRecordingScreenRecorder* _tmp2_;
	PeekRecordingScreenRecorder* _tmp3_;
	GSettings* _tmp4_;
	GSettings* _tmp5_;
	GSettings* _tmp6_;
	GSettings* _tmp7_;
	GSettings* _tmp8_;
	GSettings* _tmp9_;
	GtkSettings* _tmp10_;
	GSettings* _tmp11_;
	PeekRecordingScreenRecorder* _tmp12_;
	PeekRecordingRecordingConfig* _tmp13_;
	PeekRecordingRecordingConfig* _tmp14_;
	GSettings* _tmp15_;
	PeekRecordingScreenRecorder* _tmp16_;
	PeekRecordingRecordingConfig* _tmp17_;
	PeekRecordingRecordingConfig* _tmp18_;
	GSettings* _tmp19_;
	PeekRecordingScreenRecorder* _tmp20_;
	PeekRecordingRecordingConfig* _tmp21_;
	PeekRecordingRecordingConfig* _tmp22_;
	GSettings* _tmp23_;
	PeekRecordingScreenRecorder* _tmp24_;
	PeekRecordingRecordingConfig* _tmp25_;
	PeekRecordingRecordingConfig* _tmp26_;
	GSettings* _tmp27_;
	PeekRecordingScreenRecorder* _tmp28_;
	PeekRecordingRecordingConfig* _tmp29_;
	PeekRecordingRecordingConfig* _tmp30_;
	GSettings* _tmp31_;
	PeekRecordingScreenRecorder* _tmp32_;
	PeekRecordingRecordingConfig* _tmp33_;
	PeekRecordingRecordingConfig* _tmp34_;
	GSettings* _tmp35_;
	GSettings* _tmp36_;
	PeekRecordingScreenRecorder* _tmp37_;
	PeekRecordingRecordingConfig* _tmp38_;
	PeekRecordingRecordingConfig* _tmp39_;
	GtkButton* _tmp40_;
	const gchar* _tmp41_;
	const gchar* _tmp42_;
	gchar* _tmp43_;
#line 97 "../src/ui/application-window.vala"
	g_return_val_if_fail (application != NULL, NULL);
#line 97 "../src/ui/application-window.vala"
	g_return_val_if_fail (recorder != NULL, NULL);
#line 99 "../src/ui/application-window.vala"
	self = (PeekUiApplicationWindow*) g_object_new (object_type, "application", application, NULL);
#line 102 "../src/ui/application-window.vala"
	peek_ui_application_window_set_recorder (self, recorder);
#line 103 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_recorder;
#line 103 "../src/ui/application-window.vala"
	g_signal_connect_object (_tmp0_, "recording-started", (GCallback) ___lambda4__peek_recording_screen_recorder_recording_started, self, 0);
#line 107 "../src/ui/application-window.vala"
	_tmp1_ = self->priv->_recorder;
#line 107 "../src/ui/application-window.vala"
	g_signal_connect_object (_tmp1_, "recording-postprocess-started", (GCallback) ___lambda6__peek_recording_screen_recorder_recording_postprocess_started, self, 0);
#line 112 "../src/ui/application-window.vala"
	_tmp2_ = self->priv->_recorder;
#line 112 "../src/ui/application-window.vala"
	g_signal_connect_object (_tmp2_, "recording-finished", (GCallback) ___lambda10__peek_recording_screen_recorder_recording_finished, self, 0);
#line 117 "../src/ui/application-window.vala"
	_tmp3_ = self->priv->_recorder;
#line 117 "../src/ui/application-window.vala"
	g_signal_connect_object (_tmp3_, "recording-aborted", (GCallback) ___lambda11__peek_recording_screen_recorder_recording_aborted, self, 0);
#line 132 "../src/ui/application-window.vala"
	g_signal_connect_object (application, "toggle-recording", (GCallback) _peek_ui_application_window_toggle_recording_peek_application_toggle_recording, self, 0);
#line 134 "../src/ui/application-window.vala"
	g_signal_connect_object (application, "start-recording", (GCallback) _peek_ui_application_window_prepare_start_recording_peek_application_start_recording, self, 0);
#line 136 "../src/ui/application-window.vala"
	g_signal_connect_object (application, "stop-recording", (GCallback) _peek_ui_application_window_prepare_stop_recording_peek_application_stop_recording, self, 0);
#line 139 "../src/ui/application-window.vala"
	_tmp4_ = peek_application_get_app_settings ();
#line 139 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->settings);
#line 139 "../src/ui/application-window.vala"
	self->priv->settings = _tmp4_;
#line 141 "../src/ui/application-window.vala"
	_tmp5_ = self->priv->settings;
#line 141 "../src/ui/application-window.vala"
	g_settings_bind (_tmp5_, "interface-open-file-manager", (GObject*) self, "open_file_manager", G_SETTINGS_BIND_DEFAULT);
#line 145 "../src/ui/application-window.vala"
	_tmp6_ = self->priv->settings;
#line 145 "../src/ui/application-window.vala"
	g_settings_bind (_tmp6_, "interface-show-notification", (GObject*) self, "show_notification", G_SETTINGS_BIND_DEFAULT);
#line 149 "../src/ui/application-window.vala"
	_tmp7_ = self->priv->settings;
#line 149 "../src/ui/application-window.vala"
	g_settings_bind (_tmp7_, "interface-size-indicator-delay", (GObject*) self, "size_indicator_delay", G_SETTINGS_BIND_DEFAULT);
#line 153 "../src/ui/application-window.vala"
	_tmp8_ = self->priv->settings;
#line 153 "../src/ui/application-window.vala"
	g_settings_bind (_tmp8_, "interface-default-file-name-format", (GObject*) self, "default_file_name_format", G_SETTINGS_BIND_DEFAULT);
#line 157 "../src/ui/application-window.vala"
	_tmp9_ = self->priv->settings;
#line 157 "../src/ui/application-window.vala"
	_tmp10_ = gtk_widget_get_settings ((GtkWidget*) self);
#line 157 "../src/ui/application-window.vala"
	g_settings_bind (_tmp9_, "interface-prefer-dark-theme", (GObject*) _tmp10_, "gtk_application_prefer_dark_theme", G_SETTINGS_BIND_DEFAULT);
#line 161 "../src/ui/application-window.vala"
	_tmp11_ = self->priv->settings;
#line 161 "../src/ui/application-window.vala"
	_tmp12_ = self->priv->_recorder;
#line 161 "../src/ui/application-window.vala"
	_tmp13_ = peek_recording_screen_recorder_get_config (_tmp12_);
#line 161 "../src/ui/application-window.vala"
	_tmp14_ = _tmp13_;
#line 161 "../src/ui/application-window.vala"
	g_settings_bind (_tmp11_, "recording-output-format", (GObject*) _tmp14_, "output_format", G_SETTINGS_BIND_DEFAULT);
#line 165 "../src/ui/application-window.vala"
	_tmp15_ = self->priv->settings;
#line 165 "../src/ui/application-window.vala"
	_tmp16_ = self->priv->_recorder;
#line 165 "../src/ui/application-window.vala"
	_tmp17_ = peek_recording_screen_recorder_get_config (_tmp16_);
#line 165 "../src/ui/application-window.vala"
	_tmp18_ = _tmp17_;
#line 165 "../src/ui/application-window.vala"
	g_settings_bind (_tmp15_, "recording-gifski-enabled", (GObject*) _tmp18_, "gifski_enabled", G_SETTINGS_BIND_DEFAULT);
#line 169 "../src/ui/application-window.vala"
	_tmp19_ = self->priv->settings;
#line 169 "../src/ui/application-window.vala"
	_tmp20_ = self->priv->_recorder;
#line 169 "../src/ui/application-window.vala"
	_tmp21_ = peek_recording_screen_recorder_get_config (_tmp20_);
#line 169 "../src/ui/application-window.vala"
	_tmp22_ = _tmp21_;
#line 169 "../src/ui/application-window.vala"
	g_settings_bind (_tmp19_, "recording-gifski-quality", (GObject*) _tmp22_, "gifski_quality", G_SETTINGS_BIND_DEFAULT);
#line 173 "../src/ui/application-window.vala"
	_tmp23_ = self->priv->settings;
#line 173 "../src/ui/application-window.vala"
	_tmp24_ = self->priv->_recorder;
#line 173 "../src/ui/application-window.vala"
	_tmp25_ = peek_recording_screen_recorder_get_config (_tmp24_);
#line 173 "../src/ui/application-window.vala"
	_tmp26_ = _tmp25_;
#line 173 "../src/ui/application-window.vala"
	g_settings_bind (_tmp23_, "recording-framerate", (GObject*) _tmp26_, "framerate", G_SETTINGS_BIND_DEFAULT);
#line 177 "../src/ui/application-window.vala"
	_tmp27_ = self->priv->settings;
#line 177 "../src/ui/application-window.vala"
	_tmp28_ = self->priv->_recorder;
#line 177 "../src/ui/application-window.vala"
	_tmp29_ = peek_recording_screen_recorder_get_config (_tmp28_);
#line 177 "../src/ui/application-window.vala"
	_tmp30_ = _tmp29_;
#line 177 "../src/ui/application-window.vala"
	g_settings_bind (_tmp27_, "recording-downsample", (GObject*) _tmp30_, "downsample", G_SETTINGS_BIND_DEFAULT);
#line 181 "../src/ui/application-window.vala"
	_tmp31_ = self->priv->settings;
#line 181 "../src/ui/application-window.vala"
	_tmp32_ = self->priv->_recorder;
#line 181 "../src/ui/application-window.vala"
	_tmp33_ = peek_recording_screen_recorder_get_config (_tmp32_);
#line 181 "../src/ui/application-window.vala"
	_tmp34_ = _tmp33_;
#line 181 "../src/ui/application-window.vala"
	g_settings_bind (_tmp31_, "recording-capture-mouse", (GObject*) _tmp34_, "capture_mouse", G_SETTINGS_BIND_DEFAULT);
#line 185 "../src/ui/application-window.vala"
	_tmp35_ = self->priv->settings;
#line 185 "../src/ui/application-window.vala"
	g_settings_bind (_tmp35_, "recording-start-delay", (GObject*) self, "recording_start_delay", G_SETTINGS_BIND_DEFAULT);
#line 189 "../src/ui/application-window.vala"
	_tmp36_ = self->priv->settings;
#line 189 "../src/ui/application-window.vala"
	g_settings_bind (_tmp36_, "persist-save-folder", (GObject*) self, "save_folder", G_SETTINGS_BIND_DEFAULT);
#line 194 "../src/ui/application-window.vala"
	_tmp37_ = self->priv->_recorder;
#line 194 "../src/ui/application-window.vala"
	_tmp38_ = peek_recording_screen_recorder_get_config (_tmp37_);
#line 194 "../src/ui/application-window.vala"
	_tmp39_ = _tmp38_;
#line 194 "../src/ui/application-window.vala"
	g_signal_connect_object ((GObject*) _tmp39_, "notify::output-format", (GCallback) ___lambda16__g_object_notify, self, 0);
#line 199 "../src/ui/application-window.vala"
	gtk_window_set_keep_above ((GtkWindow*) self, TRUE);
#line 200 "../src/ui/application-window.vala"
	peek_ui_application_window_load_geometry (self);
#line 201 "../src/ui/application-window.vala"
	peek_ui_application_window_on_window_screen_changed (self, NULL);
#line 203 "../src/ui/application-window.vala"
	g_signal_connect_object ((GtkWidget*) self, "show", (GCallback) ___lambda17__gtk_widget_show, self, 0);
#line 208 "../src/ui/application-window.vala"
	_tmp40_ = self->priv->stop_button;
#line 208 "../src/ui/application-window.vala"
	_tmp41_ = gtk_button_get_label (_tmp40_);
#line 208 "../src/ui/application-window.vala"
	_tmp42_ = _tmp41_;
#line 208 "../src/ui/application-window.vala"
	_tmp43_ = g_strdup (_tmp42_);
#line 208 "../src/ui/application-window.vala"
	_g_free0 (self->priv->stop_button_label);
#line 208 "../src/ui/application-window.vala"
	self->priv->stop_button_label = _tmp43_;
#line 212 "../src/ui/application-window.vala"
	peek_ui_application_window_set_close_button_position (self);
#line 97 "../src/ui/application-window.vala"
	return self;
#line 763 "application-window.c"
}

PeekUiApplicationWindow*
peek_ui_application_window_new (PeekApplication* application,
                                PeekRecordingScreenRecorder* recorder)
{
#line 97 "../src/ui/application-window.vala"
	return peek_ui_application_window_construct (PEEK_UI_TYPE_APPLICATION_WINDOW, application, recorder);
#line 772 "application-window.c"
}

void
peek_ui_application_window_hide_headerbar (PeekUiApplicationWindow* self)
{
	GtkStyleContext* _tmp0_;
	GtkHeaderBar* _tmp1_;
#line 216 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 217 "../src/ui/application-window.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 217 "../src/ui/application-window.vala"
	gtk_style_context_add_class (_tmp0_, "headerbar-hidden");
#line 218 "../src/ui/application-window.vala"
	_tmp1_ = self->priv->headerbar;
#line 218 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp1_);
#line 790 "application-window.c"
}

static gboolean
peek_ui_application_window_real_configure_event (GtkWidget* base,
                                                 GdkEventConfigure* event)
{
	PeekUiApplicationWindow * self;
	PeekRecordingScreenRecorder* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	gboolean result;
#line 221 "../src/ui/application-window.vala"
	self = (PeekUiApplicationWindow*) base;
#line 221 "../src/ui/application-window.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 222 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_recorder;
#line 222 "../src/ui/application-window.vala"
	_tmp1_ = peek_recording_screen_recorder_get_is_recording (_tmp0_);
#line 222 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 222 "../src/ui/application-window.vala"
	if (_tmp2_) {
#line 814 "application-window.c"
		PeekRecordingRecordingArea new_recording_area = {0};
		PeekRecordingRecordingArea _tmp3_ = {0};
		PeekRecordingRecordingArea _tmp4_;
#line 223 "../src/ui/application-window.vala"
		peek_ui_application_window_get_recording_area (self, &_tmp3_);
#line 223 "../src/ui/application-window.vala"
		new_recording_area = _tmp3_;
#line 224 "../src/ui/application-window.vala"
		_tmp4_ = self->priv->active_recording_area;
#line 224 "../src/ui/application-window.vala"
		if (!peek_recording_recording_area_equals (&new_recording_area, &_tmp4_)) {
#line 826 "application-window.c"
			PeekRecordingScreenRecorder* _tmp5_;
#line 225 "../src/ui/application-window.vala"
			_tmp5_ = self->priv->_recorder;
#line 225 "../src/ui/application-window.vala"
			peek_recording_screen_recorder_cancel (_tmp5_);
#line 832 "application-window.c"
		}
#line 222 "../src/ui/application-window.vala"
		peek_recording_recording_area_destroy (&new_recording_area);
#line 836 "application-window.c"
	}
#line 229 "../src/ui/application-window.vala"
	result = GTK_WIDGET_CLASS (peek_ui_application_window_parent_class)->configure_event ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_application_window_get_type (), GtkApplicationWindow), event);
#line 229 "../src/ui/application-window.vala"
	return result;
#line 842 "application-window.c"
}

static gchar*
bool_to_string (gboolean self)
{
	gchar* result;
#line 37 "glib-2.0.vapi"
	if (self) {
#line 851 "application-window.c"
		gchar* _tmp0_;
#line 38 "glib-2.0.vapi"
		_tmp0_ = g_strdup ("true");
#line 38 "glib-2.0.vapi"
		result = _tmp0_;
#line 38 "glib-2.0.vapi"
		return result;
#line 859 "application-window.c"
	} else {
		gchar* _tmp1_;
#line 40 "glib-2.0.vapi"
		_tmp1_ = g_strdup ("false");
#line 40 "glib-2.0.vapi"
		result = _tmp1_;
#line 40 "glib-2.0.vapi"
		return result;
#line 868 "application-window.c"
	}
}

static void
___lambda19_ (PeekUiApplicationWindow* self,
              PeekUiApplicationWindow* file)
{
	GtkApplication* _tmp0_;
	GtkApplication* _tmp1_;
#line 241 "../src/ui/application-window.vala"
	g_return_if_fail (file != NULL);
#line 242 "../src/ui/application-window.vala"
	_tmp0_ = gtk_window_get_application ((GtkWindow*) self);
#line 242 "../src/ui/application-window.vala"
	_tmp1_ = _tmp0_;
#line 242 "../src/ui/application-window.vala"
	g_application_withdraw_notification ((GApplication*) _tmp1_, "background-rendering");
#line 243 "../src/ui/application-window.vala"
	gtk_window_close ((GtkWindow*) self);
#line 888 "application-window.c"
}

static void
____lambda19__peek_ui_application_window_recording_finished (PeekUiApplicationWindow* _sender,
                                                             gpointer self)
{
#line 241 "../src/ui/application-window.vala"
	___lambda19_ ((PeekUiApplicationWindow*) self, _sender);
#line 897 "application-window.c"
}

static gboolean
peek_ui_application_window_real_delete_event (GtkWidget* base,
                                              GdkEventAny* event)
{
	PeekUiApplicationWindow * self;
	PeekRecordingScreenRecorder* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gboolean _tmp7_ = FALSE;
	PeekRecordingScreenRecorder* _tmp8_;
	gboolean _tmp9_;
	gboolean _tmp10_;
	gboolean result;
#line 232 "../src/ui/application-window.vala"
	self = (PeekUiApplicationWindow*) base;
#line 232 "../src/ui/application-window.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 233 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_recorder;
#line 233 "../src/ui/application-window.vala"
	_tmp1_ = peek_recording_screen_recorder_get_is_recording (_tmp0_);
#line 233 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 233 "../src/ui/application-window.vala"
	_tmp3_ = bool_to_string (_tmp2_);
#line 233 "../src/ui/application-window.vala"
	_tmp4_ = _tmp3_;
#line 233 "../src/ui/application-window.vala"
	_tmp5_ = bool_to_string (self->priv->is_postprocessing);
#line 233 "../src/ui/application-window.vala"
	_tmp6_ = _tmp5_;
#line 233 "../src/ui/application-window.vala"
	g_debug ("application-window.vala:233: delete_event: recorder.is_recording=%s, w" \
"indow.is_postprocessing=%s", _tmp4_, _tmp6_);
#line 233 "../src/ui/application-window.vala"
	_g_free0 (_tmp6_);
#line 233 "../src/ui/application-window.vala"
	_g_free0 (_tmp4_);
#line 238 "../src/ui/application-window.vala"
	_tmp8_ = self->priv->_recorder;
#line 238 "../src/ui/application-window.vala"
	_tmp9_ = peek_recording_screen_recorder_get_is_recording (_tmp8_);
#line 238 "../src/ui/application-window.vala"
	_tmp10_ = _tmp9_;
#line 238 "../src/ui/application-window.vala"
	if (_tmp10_) {
#line 238 "../src/ui/application-window.vala"
		_tmp7_ = TRUE;
#line 951 "application-window.c"
	} else {
#line 238 "../src/ui/application-window.vala"
		_tmp7_ = self->priv->is_postprocessing;
#line 955 "application-window.c"
	}
#line 238 "../src/ui/application-window.vala"
	if (_tmp7_) {
#line 959 "application-window.c"
		PeekRecordingScreenRecorder* _tmp11_;
		gboolean _tmp12_;
		gboolean _tmp13_;
#line 241 "../src/ui/application-window.vala"
		g_signal_connect_object (self, "recording-finished", (GCallback) ____lambda19__peek_ui_application_window_recording_finished, self, 0);
#line 246 "../src/ui/application-window.vala"
		_tmp11_ = self->priv->_recorder;
#line 246 "../src/ui/application-window.vala"
		_tmp12_ = peek_recording_screen_recorder_get_is_recording (_tmp11_);
#line 246 "../src/ui/application-window.vala"
		_tmp13_ = _tmp12_;
#line 246 "../src/ui/application-window.vala"
		if (_tmp13_) {
#line 973 "application-window.c"
			PeekRecordingScreenRecorder* _tmp14_;
#line 247 "../src/ui/application-window.vala"
			_tmp14_ = self->priv->_recorder;
#line 247 "../src/ui/application-window.vala"
			peek_recording_screen_recorder_cancel (_tmp14_);
#line 979 "application-window.c"
		} else {
			GNotification* notification = NULL;
			GNotification* _tmp15_;
			GNotification* _tmp16_;
			GtkApplication* _tmp17_;
			GtkApplication* _tmp18_;
			GNotification* _tmp19_;
#line 249 "../src/ui/application-window.vala"
			_tmp15_ = peek_ui_application_window_build_standard_notification (_ ("Rendering animation…"));
#line 249 "../src/ui/application-window.vala"
			notification = _tmp15_;
#line 250 "../src/ui/application-window.vala"
			_tmp16_ = notification;
#line 250 "../src/ui/application-window.vala"
			g_notification_set_body (_tmp16_, _ ("Peek will close when rendering is finished."));
#line 251 "../src/ui/application-window.vala"
			_tmp17_ = gtk_window_get_application ((GtkWindow*) self);
#line 251 "../src/ui/application-window.vala"
			_tmp18_ = _tmp17_;
#line 251 "../src/ui/application-window.vala"
			_tmp19_ = notification;
#line 251 "../src/ui/application-window.vala"
			g_application_send_notification ((GApplication*) _tmp18_, "background-rendering", _tmp19_);
#line 246 "../src/ui/application-window.vala"
			_g_object_unref0 (notification);
#line 1005 "application-window.c"
		}
#line 254 "../src/ui/application-window.vala"
		gtk_widget_hide ((GtkWidget*) self);
#line 255 "../src/ui/application-window.vala"
		result = TRUE;
#line 255 "../src/ui/application-window.vala"
		return result;
#line 1013 "application-window.c"
	}
#line 258 "../src/ui/application-window.vala"
	if (self->priv->start_recording_event_source != ((guint) 0)) {
#line 259 "../src/ui/application-window.vala"
		g_source_remove (self->priv->start_recording_event_source);
#line 260 "../src/ui/application-window.vala"
		self->priv->start_recording_event_source = (guint) 0;
#line 1021 "application-window.c"
	}
#line 263 "../src/ui/application-window.vala"
	if (self->priv->size_indicator_timeout != ((guint) 0)) {
#line 264 "../src/ui/application-window.vala"
		g_source_remove (self->priv->size_indicator_timeout);
#line 265 "../src/ui/application-window.vala"
		self->priv->size_indicator_timeout = (guint) 0;
#line 1029 "application-window.c"
	}
#line 268 "../src/ui/application-window.vala"
	if (self->priv->delay_indicator_timeout != ((guint) 0)) {
#line 269 "../src/ui/application-window.vala"
		g_source_remove (self->priv->delay_indicator_timeout);
#line 270 "../src/ui/application-window.vala"
		self->priv->delay_indicator_timeout = (guint) 0;
#line 1037 "application-window.c"
	}
#line 273 "../src/ui/application-window.vala"
	if (self->priv->time_indicator_timeout != ((guint) 0)) {
#line 274 "../src/ui/application-window.vala"
		g_source_remove (self->priv->time_indicator_timeout);
#line 275 "../src/ui/application-window.vala"
		self->priv->time_indicator_timeout = (guint) 0;
#line 1045 "application-window.c"
	}
#line 278 "../src/ui/application-window.vala"
	peek_ui_application_window_save_geometry (self);
#line 280 "../src/ui/application-window.vala"
	result = FALSE;
#line 280 "../src/ui/application-window.vala"
	return result;
#line 1053 "application-window.c"
}

static gchar*
peek_ui_application_window_get_format_name (PeekUiApplicationWindow* self,
                                            PeekOutputFormat format)
{
	gchar* result;
#line 284 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 285 "../src/ui/application-window.vala"
	switch (format) {
#line 285 "../src/ui/application-window.vala"
		case PEEK_OUTPUT_FORMAT_APNG:
#line 1067 "application-window.c"
		{
			gchar* _tmp0_;
#line 286 "../src/ui/application-window.vala"
			_tmp0_ = g_strdup (_ ("APNG"));
#line 286 "../src/ui/application-window.vala"
			result = _tmp0_;
#line 286 "../src/ui/application-window.vala"
			return result;
#line 1076 "application-window.c"
		}
#line 285 "../src/ui/application-window.vala"
		case PEEK_OUTPUT_FORMAT_GIF:
#line 1080 "application-window.c"
		{
			gchar* _tmp1_;
#line 287 "../src/ui/application-window.vala"
			_tmp1_ = g_strdup (_ ("GIF"));
#line 287 "../src/ui/application-window.vala"
			result = _tmp1_;
#line 287 "../src/ui/application-window.vala"
			return result;
#line 1089 "application-window.c"
		}
#line 285 "../src/ui/application-window.vala"
		case PEEK_OUTPUT_FORMAT_MP4:
#line 1093 "application-window.c"
		{
			gchar* _tmp2_;
#line 288 "../src/ui/application-window.vala"
			_tmp2_ = g_strdup (_ ("MP4"));
#line 288 "../src/ui/application-window.vala"
			result = _tmp2_;
#line 288 "../src/ui/application-window.vala"
			return result;
#line 1102 "application-window.c"
		}
#line 285 "../src/ui/application-window.vala"
		case PEEK_OUTPUT_FORMAT_WEBM:
#line 1106 "application-window.c"
		{
			gchar* _tmp3_;
#line 289 "../src/ui/application-window.vala"
			_tmp3_ = g_strdup (_ ("WebM"));
#line 289 "../src/ui/application-window.vala"
			result = _tmp3_;
#line 289 "../src/ui/application-window.vala"
			return result;
#line 1115 "application-window.c"
		}
		default:
		{
			gchar* _tmp4_;
#line 290 "../src/ui/application-window.vala"
			_tmp4_ = g_strdup ("");
#line 290 "../src/ui/application-window.vala"
			result = _tmp4_;
#line 290 "../src/ui/application-window.vala"
			return result;
#line 1126 "application-window.c"
		}
	}
}

static void
peek_ui_application_window_select_format (PeekUiApplicationWindow* self,
                                          PeekOutputFormat format)
{
	PeekRecordingScreenRecorder* _tmp0_;
	PeekRecordingRecordingConfig* _tmp1_;
	PeekRecordingRecordingConfig* _tmp2_;
#line 294 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 295 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_recorder;
#line 295 "../src/ui/application-window.vala"
	_tmp1_ = peek_recording_screen_recorder_get_config (_tmp0_);
#line 295 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 295 "../src/ui/application-window.vala"
	peek_recording_recording_config_set_output_format (_tmp2_, format);
#line 296 "../src/ui/application-window.vala"
	peek_ui_application_window_update_format_label (self);
#line 1150 "application-window.c"
}

static void
peek_ui_application_window_update_format_label (PeekUiApplicationWindow* self)
{
	gchar* format_name = NULL;
	PeekRecordingScreenRecorder* _tmp0_;
	PeekRecordingRecordingConfig* _tmp1_;
	PeekRecordingRecordingConfig* _tmp2_;
	PeekOutputFormat _tmp3_;
	PeekOutputFormat _tmp4_;
	gchar* _tmp5_;
	GtkButton* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	PeekRecordingRecordingArea area = {0};
	PeekRecordingRecordingArea _tmp9_ = {0};
	PeekRecordingRecordingArea _tmp10_;
	GtkPopover* _tmp11_;
#line 299 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 300 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_recorder;
#line 300 "../src/ui/application-window.vala"
	_tmp1_ = peek_recording_screen_recorder_get_config (_tmp0_);
#line 300 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 300 "../src/ui/application-window.vala"
	_tmp3_ = peek_recording_recording_config_get_output_format (_tmp2_);
#line 300 "../src/ui/application-window.vala"
	_tmp4_ = _tmp3_;
#line 300 "../src/ui/application-window.vala"
	_tmp5_ = peek_ui_application_window_get_format_name (self, _tmp4_);
#line 300 "../src/ui/application-window.vala"
	format_name = _tmp5_;
#line 301 "../src/ui/application-window.vala"
	_tmp6_ = self->priv->record_button;
#line 301 "../src/ui/application-window.vala"
	_tmp7_ = g_strdup_printf (_ ("Record as %s"), format_name);
#line 301 "../src/ui/application-window.vala"
	_tmp8_ = _tmp7_;
#line 301 "../src/ui/application-window.vala"
	gtk_button_set_label (_tmp6_, _tmp8_);
#line 301 "../src/ui/application-window.vala"
	_g_free0 (_tmp8_);
#line 302 "../src/ui/application-window.vala"
	peek_ui_application_window_get_recording_area (self, &_tmp9_);
#line 302 "../src/ui/application-window.vala"
	area = _tmp9_;
#line 303 "../src/ui/application-window.vala"
	_tmp10_ = area;
#line 303 "../src/ui/application-window.vala"
	peek_ui_application_window_update_ui_size (self, &_tmp10_);
#line 304 "../src/ui/application-window.vala"
	_tmp11_ = self->priv->pop_format;
#line 304 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp11_);
#line 299 "../src/ui/application-window.vala"
	peek_recording_recording_area_destroy (&area);
#line 299 "../src/ui/application-window.vala"
	_g_free0 (format_name);
#line 1212 "application-window.c"
}

static Block3Data*
block3_data_ref (Block3Data* _data3_)
{
#line 307 "../src/ui/application-window.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 307 "../src/ui/application-window.vala"
	return _data3_;
#line 1222 "application-window.c"
}

static void
block3_data_unref (void * _userdata_)
{
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 307 "../src/ui/application-window.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 1232 "application-window.c"
		PeekUiApplicationWindow* self;
#line 307 "../src/ui/application-window.vala"
		self = _data3_->self;
#line 307 "../src/ui/application-window.vala"
		_g_object_unref0 (_data3_->title);
#line 307 "../src/ui/application-window.vala"
		_g_object_unref0 (self);
#line 307 "../src/ui/application-window.vala"
		g_slice_free (Block3Data, _data3_);
#line 1242 "application-window.c"
	}
}

static gboolean
__lambda15_ (Block3Data* _data3_)
{
	PeekUiApplicationWindow* self;
	gboolean _tmp0_ = FALSE;
	GtkHeaderBar* _tmp6_;
	gboolean result;
#line 311 "../src/ui/application-window.vala"
	self = _data3_->self;
#line 312 "../src/ui/application-window.vala"
	if (self->priv->is_recording) {
#line 312 "../src/ui/application-window.vala"
		_tmp0_ = !self->priv->is_postprocessing;
#line 1259 "application-window.c"
	} else {
#line 312 "../src/ui/application-window.vala"
		_tmp0_ = FALSE;
#line 1263 "application-window.c"
	}
#line 312 "../src/ui/application-window.vala"
	if (_tmp0_) {
#line 1267 "application-window.c"
		gint64 seconds = 0LL;
		PeekRecordingScreenRecorder* _tmp1_;
		gint64 _tmp2_;
		gint64 _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
#line 313 "../src/ui/application-window.vala"
		_tmp1_ = self->priv->_recorder;
#line 313 "../src/ui/application-window.vala"
		_tmp2_ = peek_recording_screen_recorder_get_elapsed_seconds (_tmp1_);
#line 313 "../src/ui/application-window.vala"
		_tmp3_ = _tmp2_;
#line 313 "../src/ui/application-window.vala"
		seconds = _tmp3_;
#line 314 "../src/ui/application-window.vala"
		_tmp4_ = peek_utils_format_time (seconds);
#line 314 "../src/ui/application-window.vala"
		_tmp5_ = _tmp4_;
#line 314 "../src/ui/application-window.vala"
		gtk_label_set_label (_data3_->title, _tmp5_);
#line 314 "../src/ui/application-window.vala"
		_g_free0 (_tmp5_);
#line 315 "../src/ui/application-window.vala"
		result = TRUE;
#line 315 "../src/ui/application-window.vala"
		return result;
#line 1294 "application-window.c"
	}
#line 318 "../src/ui/application-window.vala"
	self->priv->time_indicator_timeout = (guint) 0;
#line 319 "../src/ui/application-window.vala"
	_tmp6_ = self->priv->headerbar;
#line 319 "../src/ui/application-window.vala"
	gtk_header_bar_set_custom_title (_tmp6_, NULL);
#line 320 "../src/ui/application-window.vala"
	result = FALSE;
#line 320 "../src/ui/application-window.vala"
	return result;
#line 1306 "application-window.c"
}

static gboolean
___lambda15__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda15_ (self);
#line 311 "../src/ui/application-window.vala"
	return result;
#line 1316 "application-window.c"
}

static void
peek_ui_application_window_update_time (PeekUiApplicationWindow* self)
{
	Block3Data* _data3_;
	gchar* _tmp0_;
	gchar* _tmp1_;
	GtkLabel* _tmp2_;
	GtkLabel* _tmp3_;
	GtkHeaderBar* _tmp4_;
#line 307 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 307 "../src/ui/application-window.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 307 "../src/ui/application-window.vala"
	_data3_->_ref_count_ = 1;
#line 307 "../src/ui/application-window.vala"
	_data3_->self = g_object_ref (self);
#line 308 "../src/ui/application-window.vala"
	_tmp0_ = peek_utils_format_time ((gint64) 0);
#line 308 "../src/ui/application-window.vala"
	_tmp1_ = _tmp0_;
#line 308 "../src/ui/application-window.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new (_tmp1_);
#line 308 "../src/ui/application-window.vala"
	g_object_ref_sink (_tmp2_);
#line 308 "../src/ui/application-window.vala"
	_tmp3_ = _tmp2_;
#line 308 "../src/ui/application-window.vala"
	_g_free0 (_tmp1_);
#line 308 "../src/ui/application-window.vala"
	_data3_->title = _tmp3_;
#line 309 "../src/ui/application-window.vala"
	gtk_widget_show ((GtkWidget*) _data3_->title);
#line 310 "../src/ui/application-window.vala"
	_tmp4_ = self->priv->headerbar;
#line 310 "../src/ui/application-window.vala"
	gtk_header_bar_set_custom_title (_tmp4_, (GtkWidget*) _data3_->title);
#line 311 "../src/ui/application-window.vala"
	self->priv->time_indicator_timeout = g_timeout_add_full (G_PRIORITY_LOW, (guint) 500, ___lambda15__gsource_func, block3_data_ref (_data3_), block3_data_unref);
#line 307 "../src/ui/application-window.vala"
	block3_data_unref (_data3_);
#line 307 "../src/ui/application-window.vala"
	_data3_ = NULL;
#line 1362 "application-window.c"
}

void
peek_ui_application_window_on_window_screen_changed (PeekUiApplicationWindow* self,
                                                     GdkScreen* previous_screen)
{
	GdkScreen* screen = NULL;
	GdkScreen* _tmp0_;
	GdkScreen* _tmp1_;
	GdkVisual* visual = NULL;
	GdkScreen* _tmp2_;
	GdkVisual* _tmp3_;
	GdkVisual* _tmp4_;
	GdkVisual* _tmp5_;
	GdkVisual* _tmp10_;
#line 325 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 326 "../src/ui/application-window.vala"
	_tmp0_ = gtk_window_get_screen ((GtkWindow*) self);
#line 326 "../src/ui/application-window.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 326 "../src/ui/application-window.vala"
	screen = _tmp1_;
#line 327 "../src/ui/application-window.vala"
	_tmp2_ = screen;
#line 327 "../src/ui/application-window.vala"
	_tmp3_ = gdk_screen_get_rgba_visual (_tmp2_);
#line 327 "../src/ui/application-window.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 327 "../src/ui/application-window.vala"
	visual = _tmp4_;
#line 329 "../src/ui/application-window.vala"
	_tmp5_ = visual;
#line 329 "../src/ui/application-window.vala"
	if (_tmp5_ == NULL) {
#line 1398 "application-window.c"
		FILE* _tmp6_;
		GdkScreen* _tmp7_;
		GdkVisual* _tmp8_;
		GdkVisual* _tmp9_;
#line 330 "../src/ui/application-window.vala"
		_tmp6_ = stderr;
#line 330 "../src/ui/application-window.vala"
		fprintf (_tmp6_, "Screen does not support alpha channels!");
#line 331 "../src/ui/application-window.vala"
		_tmp7_ = screen;
#line 331 "../src/ui/application-window.vala"
		_tmp8_ = gdk_screen_get_system_visual (_tmp7_);
#line 331 "../src/ui/application-window.vala"
		_tmp9_ = _g_object_ref0 (_tmp8_);
#line 331 "../src/ui/application-window.vala"
		_g_object_unref0 (visual);
#line 331 "../src/ui/application-window.vala"
		visual = _tmp9_;
#line 1417 "application-window.c"
	}
#line 334 "../src/ui/application-window.vala"
	_tmp10_ = visual;
#line 334 "../src/ui/application-window.vala"
	gtk_widget_set_visual ((GtkWidget*) self, _tmp10_);
#line 325 "../src/ui/application-window.vala"
	_g_object_unref0 (visual);
#line 325 "../src/ui/application-window.vala"
	_g_object_unref0 (screen);
#line 1427 "application-window.c"
}

static void
_peek_ui_application_window_on_window_screen_changed_gtk_widget_screen_changed (GtkWidget* _sender,
                                                                                GdkScreen* previous_screen,
                                                                                gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_window_screen_changed ((PeekUiApplicationWindow*) self, previous_screen);
#line 1437 "application-window.c"
}

static gboolean
peek_ui_application_window_on_window_draw (PeekUiApplicationWindow* self,
                                           GtkWidget* widget,
                                           cairo_t* ctx)
{
	gboolean result;
#line 338 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 338 "../src/ui/application-window.vala"
	g_return_val_if_fail (widget != NULL, FALSE);
#line 338 "../src/ui/application-window.vala"
	g_return_val_if_fail (ctx != NULL, FALSE);
#line 339 "../src/ui/application-window.vala"
	peek_ui_application_window_update_input_shape (self);
#line 341 "../src/ui/application-window.vala"
	result = FALSE;
#line 341 "../src/ui/application-window.vala"
	return result;
#line 1458 "application-window.c"
}

static gboolean
_peek_ui_application_window_on_window_draw_gtk_widget_draw (GtkWidget* _sender,
                                                            cairo_t* cr,
                                                            gpointer self)
{
	gboolean result;
	result = peek_ui_application_window_on_window_draw ((PeekUiApplicationWindow*) self, _sender, cr);
#line 20 "../src/ui/application-window.vala"
	return result;
#line 1470 "application-window.c"
}

static gboolean
peek_ui_application_window_on_recording_view_draw (PeekUiApplicationWindow* self,
                                                   GtkWidget* widget,
                                                   cairo_t* ctx)
{
	gboolean result;
#line 345 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 345 "../src/ui/application-window.vala"
	g_return_val_if_fail (widget != NULL, FALSE);
#line 345 "../src/ui/application-window.vala"
	g_return_val_if_fail (ctx != NULL, FALSE);
#line 347 "../src/ui/application-window.vala"
	cairo_set_operator (ctx, CAIRO_OPERATOR_CLEAR);
#line 348 "../src/ui/application-window.vala"
	cairo_paint (ctx);
#line 350 "../src/ui/application-window.vala"
	result = FALSE;
#line 350 "../src/ui/application-window.vala"
	return result;
#line 1493 "application-window.c"
}

static gboolean
_peek_ui_application_window_on_recording_view_draw_gtk_widget_draw (GtkWidget* _sender,
                                                                    cairo_t* cr,
                                                                    gpointer self)
{
	gboolean result;
	result = peek_ui_application_window_on_recording_view_draw ((PeekUiApplicationWindow*) self, _sender, cr);
#line 20 "../src/ui/application-window.vala"
	return result;
#line 1505 "application-window.c"
}

static void
peek_ui_application_window_on_recording_view_size_allocate (PeekUiApplicationWindow* self,
                                                            GtkAllocation* allocation)
{
#line 354 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 354 "../src/ui/application-window.vala"
	g_return_if_fail (allocation != NULL);
#line 356 "../src/ui/application-window.vala"
	peek_ui_application_window_show_size_indicator (self);
#line 1518 "application-window.c"
}

static void
_peek_ui_application_window_on_recording_view_size_allocate_gtk_widget_size_allocate (GtkWidget* _sender,
                                                                                      GtkAllocation* allocation,
                                                                                      gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_recording_view_size_allocate ((PeekUiApplicationWindow*) self, allocation);
#line 1528 "application-window.c"
}

void
peek_ui_application_window_get_recording_area (PeekUiApplicationWindow* self,
                                               PeekRecordingRecordingArea* result)
{
	GtkWidget* _tmp0_;
	PeekRecordingRecordingArea _tmp1_ = {0};
#line 359 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 360 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->recording_view;
#line 360 "../src/ui/application-window.vala"
	peek_recording_recording_area_create_for_widget (_tmp0_, &_tmp1_);
#line 360 "../src/ui/application-window.vala"
	*result = _tmp1_;
#line 360 "../src/ui/application-window.vala"
	return;
#line 1547 "application-window.c"
}

void
peek_ui_application_window_resize_recording_area (PeekUiApplicationWindow* self,
                                                  gint width,
                                                  gint height)
{
	gint window_width = 0;
	gint window_height = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	PeekRecordingRecordingArea area = {0};
	PeekRecordingRecordingArea _tmp2_ = {0};
	PeekRecordingRecordingArea _tmp3_ = {0};
	PeekRecordingRecordingArea _tmp4_;
	PeekRecordingRecordingArea _tmp5_;
	PeekRecordingRecordingArea _tmp6_;
#line 363 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 364 "../src/ui/application-window.vala"
	if (self->priv->is_recording) {
#line 365 "../src/ui/application-window.vala"
		return;
#line 1571 "application-window.c"
	}
#line 370 "../src/ui/application-window.vala"
	gtk_window_get_size ((GtkWindow*) self, &_tmp0_, &_tmp1_);
#line 370 "../src/ui/application-window.vala"
	window_width = _tmp0_;
#line 370 "../src/ui/application-window.vala"
	window_height = _tmp1_;
#line 371 "../src/ui/application-window.vala"
	peek_ui_application_window_get_recording_area (self, &_tmp2_);
#line 371 "../src/ui/application-window.vala"
	area = _tmp2_;
#line 374 "../src/ui/application-window.vala"
	memset (&_tmp3_, 0, sizeof (PeekRecordingRecordingArea));
#line 374 "../src/ui/application-window.vala"
	_tmp3_.width = width;
#line 374 "../src/ui/application-window.vala"
	_tmp3_.height = height;
#line 374 "../src/ui/application-window.vala"
	_tmp4_ = _tmp3_;
#line 374 "../src/ui/application-window.vala"
	peek_ui_application_window_update_ui_size (self, &_tmp4_);
#line 374 "../src/ui/application-window.vala"
	peek_recording_recording_area_destroy (&_tmp4_);
#line 380 "../src/ui/application-window.vala"
	_tmp5_ = area;
#line 380 "../src/ui/application-window.vala"
	_tmp6_ = area;
#line 380 "../src/ui/application-window.vala"
	gtk_window_resize ((GtkWindow*) self, width + (window_width - _tmp5_.width), height + (window_height - _tmp6_.height));
#line 363 "../src/ui/application-window.vala"
	peek_recording_recording_area_destroy (&area);
#line 1603 "application-window.c"
}

static gboolean
_____lambda18_ (PeekUiApplicationWindow* self)
{
	GtkLabel* _tmp0_;
	GtkLabel* _tmp1_;
	gboolean result;
#line 415 "../src/ui/application-window.vala"
	self->priv->size_indicator_timeout = (guint) 0;
#line 416 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->size_indicator;
#line 416 "../src/ui/application-window.vala"
	gtk_widget_set_opacity ((GtkWidget*) _tmp0_, 0.0);
#line 417 "../src/ui/application-window.vala"
	_tmp1_ = self->priv->shortcut_label;
#line 417 "../src/ui/application-window.vala"
	gtk_widget_set_opacity ((GtkWidget*) _tmp1_, 0.0);
#line 418 "../src/ui/application-window.vala"
	peek_ui_application_window_update_input_shape (self);
#line 419 "../src/ui/application-window.vala"
	result = FALSE;
#line 419 "../src/ui/application-window.vala"
	return result;
#line 1628 "application-window.c"
}

static gboolean
______lambda18__gsource_func (gpointer self)
{
	gboolean result;
	result = _____lambda18_ ((PeekUiApplicationWindow*) self);
#line 414 "../src/ui/application-window.vala"
	return result;
#line 1638 "application-window.c"
}

static void
peek_ui_application_window_show_size_indicator (PeekUiApplicationWindow* self)
{
#line 385 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 386 "../src/ui/application-window.vala"
	if (gtk_widget_get_realized ((GtkWidget*) self)) {
#line 1648 "application-window.c"
		PeekRecordingRecordingArea area = {0};
		PeekRecordingRecordingArea _tmp0_ = {0};
		PeekRecordingRecordingArea _tmp1_;
#line 387 "../src/ui/application-window.vala"
		peek_ui_application_window_update_input_shape (self);
#line 388 "../src/ui/application-window.vala"
		peek_ui_application_window_get_recording_area (self, &_tmp0_);
#line 388 "../src/ui/application-window.vala"
		area = _tmp0_;
#line 389 "../src/ui/application-window.vala"
		_tmp1_ = area;
#line 389 "../src/ui/application-window.vala"
		peek_ui_application_window_update_ui_size (self, &_tmp1_);
#line 391 "../src/ui/application-window.vala"
		if (!self->priv->is_recording) {
#line 1664 "application-window.c"
			GSettings* shortcut = NULL;
			GSettings* _tmp2_;
			gchar* keys = NULL;
			GSettings* _tmp3_;
			gchar* _tmp4_;
			guint accelerator_key = 0U;
			GdkModifierType accelerator_mods = 0U;
			const gchar* _tmp5_;
			guint _tmp6_ = 0U;
			GdkModifierType _tmp7_ = 0U;
			gchar* shortcut_hint = NULL;
			gchar* _tmp8_;
			GtkLabel* _tmp9_;
			const gchar* _tmp10_;
			gchar* _tmp11_;
			gchar* _tmp12_;
			GtkLabel* _tmp13_;
			GString* size_label = NULL;
			GString* _tmp14_;
			GString* _tmp15_;
			PeekRecordingRecordingArea _tmp16_;
			PeekRecordingRecordingArea _tmp17_;
			GtkLabel* _tmp18_;
			GString* _tmp19_;
			const gchar* _tmp20_;
			GtkLabel* _tmp21_;
			PeekRecordingScreenRecorder* _tmp22_;
			gboolean _tmp23_;
			gboolean _tmp24_;
#line 393 "../src/ui/application-window.vala"
			_tmp2_ = peek_application_get_app_settings ();
#line 393 "../src/ui/application-window.vala"
			shortcut = _tmp2_;
#line 394 "../src/ui/application-window.vala"
			_tmp3_ = shortcut;
#line 394 "../src/ui/application-window.vala"
			_tmp4_ = g_settings_get_string (_tmp3_, "keybinding-toggle-recording");
#line 394 "../src/ui/application-window.vala"
			keys = _tmp4_;
#line 397 "../src/ui/application-window.vala"
			_tmp5_ = keys;
#line 397 "../src/ui/application-window.vala"
			gtk_accelerator_parse (_tmp5_, &_tmp6_, &_tmp7_);
#line 397 "../src/ui/application-window.vala"
			accelerator_key = _tmp6_;
#line 397 "../src/ui/application-window.vala"
			accelerator_mods = _tmp7_;
#line 398 "../src/ui/application-window.vala"
			_tmp8_ = gtk_accelerator_get_label (accelerator_key, accelerator_mods);
#line 398 "../src/ui/application-window.vala"
			shortcut_hint = _tmp8_;
#line 399 "../src/ui/application-window.vala"
			_tmp9_ = self->priv->shortcut_label;
#line 399 "../src/ui/application-window.vala"
			_tmp10_ = shortcut_hint;
#line 399 "../src/ui/application-window.vala"
			_tmp11_ = g_strdup_printf (_ ("Start / Stop: %s"), _tmp10_);
#line 399 "../src/ui/application-window.vala"
			_tmp12_ = _tmp11_;
#line 399 "../src/ui/application-window.vala"
			gtk_label_set_text (_tmp9_, _tmp12_);
#line 399 "../src/ui/application-window.vala"
			_g_free0 (_tmp12_);
#line 400 "../src/ui/application-window.vala"
			_tmp13_ = self->priv->shortcut_label;
#line 400 "../src/ui/application-window.vala"
			gtk_widget_show ((GtkWidget*) _tmp13_);
#line 402 "../src/ui/application-window.vala"
			_tmp14_ = g_string_new ("");
#line 402 "../src/ui/application-window.vala"
			size_label = _tmp14_;
#line 403 "../src/ui/application-window.vala"
			_tmp15_ = size_label;
#line 403 "../src/ui/application-window.vala"
			_tmp16_ = area;
#line 403 "../src/ui/application-window.vala"
			_tmp17_ = area;
#line 403 "../src/ui/application-window.vala"
			g_string_printf (_tmp15_, "%i x %i", _tmp16_.width, _tmp17_.height);
#line 404 "../src/ui/application-window.vala"
			_tmp18_ = self->priv->size_indicator;
#line 404 "../src/ui/application-window.vala"
			_tmp19_ = size_label;
#line 404 "../src/ui/application-window.vala"
			_tmp20_ = _tmp19_->str;
#line 404 "../src/ui/application-window.vala"
			gtk_label_set_text (_tmp18_, _tmp20_);
#line 405 "../src/ui/application-window.vala"
			_tmp21_ = self->priv->size_indicator;
#line 405 "../src/ui/application-window.vala"
			gtk_widget_show ((GtkWidget*) _tmp21_);
#line 407 "../src/ui/application-window.vala"
			if (self->priv->size_indicator_timeout != ((guint) 0)) {
#line 408 "../src/ui/application-window.vala"
				g_source_remove (self->priv->size_indicator_timeout);
#line 1760 "application-window.c"
			}
#line 411 "../src/ui/application-window.vala"
			_tmp22_ = self->priv->_recorder;
#line 411 "../src/ui/application-window.vala"
			_tmp23_ = peek_recording_screen_recorder_get_is_recording (_tmp22_);
#line 411 "../src/ui/application-window.vala"
			_tmp24_ = _tmp23_;
#line 411 "../src/ui/application-window.vala"
			if (!_tmp24_) {
#line 1770 "application-window.c"
				GtkLabel* _tmp25_;
				GtkLabel* _tmp26_;
				gint _tmp27_;
#line 412 "../src/ui/application-window.vala"
				_tmp25_ = self->priv->shortcut_label;
#line 412 "../src/ui/application-window.vala"
				gtk_widget_set_opacity ((GtkWidget*) _tmp25_, 1.0);
#line 413 "../src/ui/application-window.vala"
				_tmp26_ = self->priv->size_indicator;
#line 413 "../src/ui/application-window.vala"
				gtk_widget_set_opacity ((GtkWidget*) _tmp26_, 1.0);
#line 414 "../src/ui/application-window.vala"
				_tmp27_ = self->priv->_size_indicator_delay;
#line 414 "../src/ui/application-window.vala"
				self->priv->size_indicator_timeout = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) _tmp27_, ______lambda18__gsource_func, g_object_ref (self), g_object_unref);
#line 1786 "application-window.c"
			}
#line 391 "../src/ui/application-window.vala"
			_g_string_free0 (size_label);
#line 391 "../src/ui/application-window.vala"
			_g_free0 (shortcut_hint);
#line 391 "../src/ui/application-window.vala"
			_g_free0 (keys);
#line 391 "../src/ui/application-window.vala"
			_g_object_unref0 (shortcut);
#line 1796 "application-window.c"
		}
#line 386 "../src/ui/application-window.vala"
		peek_recording_recording_area_destroy (&area);
#line 1800 "application-window.c"
	}
}

static void
peek_ui_application_window_update_ui_size (PeekUiApplicationWindow* self,
                                           PeekRecordingRecordingArea* area)
{
	PangoAttrList* attrs = NULL;
	PangoAttrList* _tmp0_;
	PeekRecordingRecordingArea _tmp1_;
	GtkLabel* _tmp10_;
	PangoAttrList* _tmp11_;
#line 426 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 426 "../src/ui/application-window.vala"
	g_return_if_fail (area != NULL);
#line 428 "../src/ui/application-window.vala"
	_tmp0_ = pango_attr_list_new ();
#line 428 "../src/ui/application-window.vala"
	attrs = _tmp0_;
#line 430 "../src/ui/application-window.vala"
	_tmp1_ = *area;
#line 430 "../src/ui/application-window.vala"
	if (_tmp1_.width < PEEK_UI_APPLICATION_WINDOW_SMALL_WINDOW_SIZE) {
#line 1825 "application-window.c"
		GtkButton* _tmp2_;
		GtkButton* _tmp3_;
		PangoAttrList* _tmp4_;
		PangoAttribute* _tmp5_;
#line 431 "../src/ui/application-window.vala"
		_tmp2_ = self->priv->record_button;
#line 431 "../src/ui/application-window.vala"
		peek_gtk_helper_hide_button_label (_tmp2_);
#line 432 "../src/ui/application-window.vala"
		_tmp3_ = self->priv->stop_button;
#line 432 "../src/ui/application-window.vala"
		peek_gtk_helper_hide_button_label (_tmp3_);
#line 433 "../src/ui/application-window.vala"
		_tmp4_ = attrs;
#line 433 "../src/ui/application-window.vala"
		_tmp5_ = pango_attr_scale_new (PANGO_SCALE_SMALL);
#line 433 "../src/ui/application-window.vala"
		pango_attr_list_insert (_tmp4_, _tmp5_);
#line 1844 "application-window.c"
	} else {
		GtkButton* _tmp6_;
		GtkButton* _tmp7_;
		PangoAttrList* _tmp8_;
		PangoAttribute* _tmp9_;
#line 435 "../src/ui/application-window.vala"
		_tmp6_ = self->priv->record_button;
#line 435 "../src/ui/application-window.vala"
		peek_gtk_helper_show_button_label (_tmp6_);
#line 436 "../src/ui/application-window.vala"
		_tmp7_ = self->priv->stop_button;
#line 436 "../src/ui/application-window.vala"
		peek_gtk_helper_show_button_label (_tmp7_);
#line 437 "../src/ui/application-window.vala"
		_tmp8_ = attrs;
#line 437 "../src/ui/application-window.vala"
		_tmp9_ = pango_attr_scale_new (PANGO_SCALE_LARGE);
#line 437 "../src/ui/application-window.vala"
		pango_attr_list_insert (_tmp8_, _tmp9_);
#line 1864 "application-window.c"
	}
#line 440 "../src/ui/application-window.vala"
	_tmp10_ = self->priv->shortcut_label;
#line 440 "../src/ui/application-window.vala"
	_tmp11_ = attrs;
#line 440 "../src/ui/application-window.vala"
	gtk_label_set_attributes (_tmp10_, _tmp11_);
#line 426 "../src/ui/application-window.vala"
	_pango_attr_list_unref0 (attrs);
#line 1874 "application-window.c"
}

static void
peek_ui_application_window_on_format_selection_toggled (PeekUiApplicationWindow* self)
{
	GtkRadioButton* _tmp0_;
#line 444 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 445 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->gif_button;
#line 445 "../src/ui/application-window.vala"
	if (gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_)) {
#line 446 "../src/ui/application-window.vala"
		peek_ui_application_window_select_format (self, PEEK_OUTPUT_FORMAT_GIF);
#line 1889 "application-window.c"
	} else {
		GtkRadioButton* _tmp1_;
#line 447 "../src/ui/application-window.vala"
		_tmp1_ = self->priv->apng_button;
#line 447 "../src/ui/application-window.vala"
		if (gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_)) {
#line 448 "../src/ui/application-window.vala"
			peek_ui_application_window_select_format (self, PEEK_OUTPUT_FORMAT_APNG);
#line 1898 "application-window.c"
		} else {
			GtkRadioButton* _tmp2_;
#line 449 "../src/ui/application-window.vala"
			_tmp2_ = self->priv->webm_button;
#line 449 "../src/ui/application-window.vala"
			if (gtk_toggle_button_get_active ((GtkToggleButton*) _tmp2_)) {
#line 450 "../src/ui/application-window.vala"
				peek_ui_application_window_select_format (self, PEEK_OUTPUT_FORMAT_WEBM);
#line 1907 "application-window.c"
			} else {
				GtkRadioButton* _tmp3_;
#line 451 "../src/ui/application-window.vala"
				_tmp3_ = self->priv->mp4_button;
#line 451 "../src/ui/application-window.vala"
				if (gtk_toggle_button_get_active ((GtkToggleButton*) _tmp3_)) {
#line 452 "../src/ui/application-window.vala"
					peek_ui_application_window_select_format (self, PEEK_OUTPUT_FORMAT_MP4);
#line 1916 "application-window.c"
				}
			}
		}
	}
}

static void
_peek_ui_application_window_on_format_selection_toggled_gtk_toggle_button_toggled (GtkToggleButton* _sender,
                                                                                   gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_format_selection_toggled ((PeekUiApplicationWindow*) self);
#line 1929 "application-window.c"
}

static void
peek_ui_application_window_on_record_button_clicked (PeekUiApplicationWindow* self,
                                                     GtkButton* source)
{
#line 457 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 457 "../src/ui/application-window.vala"
	g_return_if_fail (source != NULL);
#line 458 "../src/ui/application-window.vala"
	peek_ui_application_window_prepare_start_recording (self);
#line 1942 "application-window.c"
}

static void
_peek_ui_application_window_on_record_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                         gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_record_button_clicked ((PeekUiApplicationWindow*) self, _sender);
#line 1951 "application-window.c"
}

static void
peek_ui_application_window_on_stop_button_clicked (PeekUiApplicationWindow* self,
                                                   GtkButton* source)
{
#line 462 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 462 "../src/ui/application-window.vala"
	g_return_if_fail (source != NULL);
#line 463 "../src/ui/application-window.vala"
	peek_ui_application_window_prepare_stop_recording (self);
#line 1964 "application-window.c"
}

static void
_peek_ui_application_window_on_stop_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                       gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_stop_button_clicked ((PeekUiApplicationWindow*) self, _sender);
#line 1973 "application-window.c"
}

static void
peek_ui_application_window_on_new_window_button_clicked (PeekUiApplicationWindow* self,
                                                         GtkButton* source)
{
	GtkPopover* _tmp0_;
	GtkApplication* _tmp1_;
	GtkApplication* _tmp2_;
#line 467 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 467 "../src/ui/application-window.vala"
	g_return_if_fail (source != NULL);
#line 468 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->pop_menu;
#line 468 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp0_);
#line 469 "../src/ui/application-window.vala"
	_tmp1_ = gtk_window_get_application ((GtkWindow*) self);
#line 469 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 469 "../src/ui/application-window.vala"
	g_action_group_activate_action ((GActionGroup*) _tmp2_, "new-window", NULL);
#line 1997 "application-window.c"
}

static void
_peek_ui_application_window_on_new_window_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                             gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_new_window_button_clicked ((PeekUiApplicationWindow*) self, _sender);
#line 2006 "application-window.c"
}

static void
peek_ui_application_window_on_set_window_size_button_clicked (PeekUiApplicationWindow* self,
                                                              GtkButton* source)
{
	GtkPopover* _tmp0_;
	GtkApplication* _tmp1_;
	GtkApplication* _tmp2_;
#line 473 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 473 "../src/ui/application-window.vala"
	g_return_if_fail (source != NULL);
#line 474 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->pop_menu;
#line 474 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp0_);
#line 475 "../src/ui/application-window.vala"
	_tmp1_ = gtk_window_get_application ((GtkWindow*) self);
#line 475 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 475 "../src/ui/application-window.vala"
	g_action_group_activate_action ((GActionGroup*) _tmp2_, "set-window-size", NULL);
#line 2030 "application-window.c"
}

static void
_peek_ui_application_window_on_set_window_size_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                                  gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_set_window_size_button_clicked ((PeekUiApplicationWindow*) self, _sender);
#line 2039 "application-window.c"
}

static void
peek_ui_application_window_on_preferences_button_clicked (PeekUiApplicationWindow* self,
                                                          GtkButton* source)
{
	GtkPopover* _tmp0_;
	GtkWindow* _tmp1_;
	GtkWindow* _tmp2_;
#line 479 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 479 "../src/ui/application-window.vala"
	g_return_if_fail (source != NULL);
#line 480 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->pop_menu;
#line 480 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp0_);
#line 481 "../src/ui/application-window.vala"
	_tmp1_ = peek_ui_preferences_dialog_present_single_instance ((GtkWindow*) self);
#line 481 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 481 "../src/ui/application-window.vala"
	_g_object_unref0 (_tmp2_);
#line 2063 "application-window.c"
}

static void
_peek_ui_application_window_on_preferences_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                              gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_preferences_button_clicked ((PeekUiApplicationWindow*) self, _sender);
#line 2072 "application-window.c"
}

static void
peek_ui_application_window_on_about_button_clicked (PeekUiApplicationWindow* self,
                                                    GtkButton* source)
{
	GtkPopover* _tmp0_;
	GtkDialog* _tmp1_;
	GtkDialog* _tmp2_;
#line 485 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 485 "../src/ui/application-window.vala"
	g_return_if_fail (source != NULL);
#line 486 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->pop_menu;
#line 486 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp0_);
#line 487 "../src/ui/application-window.vala"
	_tmp1_ = peek_ui_about_dialog_present_single_instance ((GtkWindow*) self);
#line 487 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 487 "../src/ui/application-window.vala"
	_g_object_unref0 (_tmp2_);
#line 2096 "application-window.c"
}

static void
_peek_ui_application_window_on_about_button_clicked_gtk_button_clicked (GtkButton* _sender,
                                                                        gpointer self)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_on_about_button_clicked ((PeekUiApplicationWindow*) self, _sender);
#line 2105 "application-window.c"
}

static Block4Data*
block4_data_ref (Block4Data* _data4_)
{
#line 490 "../src/ui/application-window.vala"
	g_atomic_int_inc (&_data4_->_ref_count_);
#line 490 "../src/ui/application-window.vala"
	return _data4_;
#line 2115 "application-window.c"
}

static void
block4_data_unref (void * _userdata_)
{
	Block4Data* _data4_;
	_data4_ = (Block4Data*) _userdata_;
#line 490 "../src/ui/application-window.vala"
	if (g_atomic_int_dec_and_test (&_data4_->_ref_count_)) {
#line 2125 "application-window.c"
		PeekUiApplicationWindow* self;
#line 490 "../src/ui/application-window.vala"
		self = _data4_->self;
#line 490 "../src/ui/application-window.vala"
		_g_object_unref0 (self);
#line 490 "../src/ui/application-window.vala"
		g_slice_free (Block4Data, _data4_);
#line 2133 "application-window.c"
	}
}

static Block5Data*
block5_data_ref (Block5Data* _data5_)
{
#line 504 "../src/ui/application-window.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 504 "../src/ui/application-window.vala"
	return _data5_;
#line 2144 "application-window.c"
}

static void
block5_data_unref (void * _userdata_)
{
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 504 "../src/ui/application-window.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 2154 "application-window.c"
		PeekUiApplicationWindow* self;
#line 504 "../src/ui/application-window.vala"
		self = _data5_->_data4_->self;
#line 504 "../src/ui/application-window.vala"
		block4_data_unref (_data5_->_data4_);
#line 504 "../src/ui/application-window.vala"
		_data5_->_data4_ = NULL;
#line 504 "../src/ui/application-window.vala"
		g_slice_free (Block5Data, _data5_);
#line 2164 "application-window.c"
	}
}

static void
___lambda13_ (Block5Data* _data5_)
{
	Block4Data* _data4_;
	PeekUiApplicationWindow* self;
	GtkLabel* _tmp0_;
	GtkButton* _tmp1_;
	const gchar* _tmp2_;
	GtkLabel* _tmp3_;
#line 507 "../src/ui/application-window.vala"
	_data4_ = _data5_->_data4_;
#line 507 "../src/ui/application-window.vala"
	self = _data4_->self;
#line 508 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->delay_indicator;
#line 508 "../src/ui/application-window.vala"
	g_signal_handler_disconnect ((GObject*) _tmp0_, _data5_->hide_handler);
#line 509 "../src/ui/application-window.vala"
	_tmp1_ = self->priv->stop_button;
#line 509 "../src/ui/application-window.vala"
	_tmp2_ = self->priv->stop_button_label;
#line 509 "../src/ui/application-window.vala"
	gtk_button_set_label (_tmp1_, _tmp2_);
#line 510 "../src/ui/application-window.vala"
	_tmp3_ = self->priv->delay_indicator;
#line 510 "../src/ui/application-window.vala"
	gtk_widget_queue_draw ((GtkWidget*) _tmp3_);
#line 511 "../src/ui/application-window.vala"
	peek_ui_application_window_start_recording (self);
#line 2197 "application-window.c"
}

static void
____lambda13__gtk_widget_hide (GtkWidget* _sender,
                               gpointer self)
{
#line 507 "../src/ui/application-window.vala"
	___lambda13_ (self);
#line 2206 "application-window.c"
}

static gboolean
___lambda12_ (Block4Data* _data4_)
{
	PeekUiApplicationWindow* self;
	gboolean result;
#line 501 "../src/ui/application-window.vala"
	self = _data4_->self;
#line 502 "../src/ui/application-window.vala"
	_data4_->delay -= 1;
#line 504 "../src/ui/application-window.vala"
	if (_data4_->delay == 0) {
#line 2220 "application-window.c"
		Block5Data* _data5_;
		GtkLabel* _tmp0_;
		gulong _tmp1_;
		GtkLabel* _tmp2_;
#line 504 "../src/ui/application-window.vala"
		_data5_ = g_slice_new0 (Block5Data);
#line 504 "../src/ui/application-window.vala"
		_data5_->_ref_count_ = 1;
#line 504 "../src/ui/application-window.vala"
		_data5_->_data4_ = block4_data_ref (_data4_);
#line 505 "../src/ui/application-window.vala"
		self->priv->delay_indicator_timeout = (guint) 0;
#line 506 "../src/ui/application-window.vala"
		_data5_->hide_handler = (gulong) 0;
#line 507 "../src/ui/application-window.vala"
		_tmp0_ = self->priv->delay_indicator;
#line 507 "../src/ui/application-window.vala"
		_tmp1_ = g_signal_connect_data ((GtkWidget*) _tmp0_, "hide", (GCallback) ____lambda13__gtk_widget_hide, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 507 "../src/ui/application-window.vala"
		_data5_->hide_handler = _tmp1_;
#line 513 "../src/ui/application-window.vala"
		_tmp2_ = self->priv->delay_indicator;
#line 513 "../src/ui/application-window.vala"
		gtk_widget_hide ((GtkWidget*) _tmp2_);
#line 514 "../src/ui/application-window.vala"
		result = FALSE;
#line 514 "../src/ui/application-window.vala"
		block5_data_unref (_data5_);
#line 514 "../src/ui/application-window.vala"
		_data5_ = NULL;
#line 514 "../src/ui/application-window.vala"
		return result;
#line 2253 "application-window.c"
	} else {
		GtkLabel* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
#line 516 "../src/ui/application-window.vala"
		_tmp3_ = self->priv->delay_indicator;
#line 516 "../src/ui/application-window.vala"
		_tmp4_ = g_strdup_printf ("%i", _data4_->delay);
#line 516 "../src/ui/application-window.vala"
		_tmp5_ = _tmp4_;
#line 516 "../src/ui/application-window.vala"
		gtk_label_set_text (_tmp3_, _tmp5_);
#line 516 "../src/ui/application-window.vala"
		_g_free0 (_tmp5_);
#line 517 "../src/ui/application-window.vala"
		result = TRUE;
#line 517 "../src/ui/application-window.vala"
		return result;
#line 2272 "application-window.c"
	}
}

static gboolean
____lambda12__gsource_func (gpointer self)
{
	gboolean result;
	result = ___lambda12_ (self);
#line 501 "../src/ui/application-window.vala"
	return result;
#line 2283 "application-window.c"
}

static void
peek_ui_application_window_prepare_start_recording (PeekUiApplicationWindow* self)
{
	Block4Data* _data4_;
	gint _tmp0_;
#line 490 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 490 "../src/ui/application-window.vala"
	_data4_ = g_slice_new0 (Block4Data);
#line 490 "../src/ui/application-window.vala"
	_data4_->_ref_count_ = 1;
#line 490 "../src/ui/application-window.vala"
	_data4_->self = g_object_ref (self);
#line 491 "../src/ui/application-window.vala"
	if (self->priv->is_recording) {
#line 491 "../src/ui/application-window.vala"
		block4_data_unref (_data4_);
#line 491 "../src/ui/application-window.vala"
		_data4_ = NULL;
#line 491 "../src/ui/application-window.vala"
		return;
#line 2307 "application-window.c"
	}
#line 493 "../src/ui/application-window.vala"
	peek_ui_application_window_enter_recording_state (self);
#line 494 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_recording_start_delay;
#line 494 "../src/ui/application-window.vala"
	_data4_->delay = _tmp0_;
#line 496 "../src/ui/application-window.vala"
	if (_data4_->delay > 0) {
#line 2317 "application-window.c"
		GtkLabel* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
		GtkLabel* _tmp4_;
		GtkLabel* _tmp5_;
		GtkLabel* _tmp6_;
#line 497 "../src/ui/application-window.vala"
		_tmp1_ = self->priv->delay_indicator;
#line 497 "../src/ui/application-window.vala"
		_tmp2_ = g_strdup_printf ("%i", _data4_->delay);
#line 497 "../src/ui/application-window.vala"
		_tmp3_ = _tmp2_;
#line 497 "../src/ui/application-window.vala"
		gtk_label_set_text (_tmp1_, _tmp3_);
#line 497 "../src/ui/application-window.vala"
		_g_free0 (_tmp3_);
#line 498 "../src/ui/application-window.vala"
		_tmp4_ = self->priv->delay_indicator;
#line 498 "../src/ui/application-window.vala"
		gtk_widget_show ((GtkWidget*) _tmp4_);
#line 499 "../src/ui/application-window.vala"
		_tmp5_ = self->priv->size_indicator;
#line 499 "../src/ui/application-window.vala"
		gtk_widget_hide ((GtkWidget*) _tmp5_);
#line 500 "../src/ui/application-window.vala"
		_tmp6_ = self->priv->shortcut_label;
#line 500 "../src/ui/application-window.vala"
		gtk_widget_hide ((GtkWidget*) _tmp6_);
#line 501 "../src/ui/application-window.vala"
		self->priv->delay_indicator_timeout = g_timeout_add_seconds_full (G_PRIORITY_DEFAULT, (guint) 1, ____lambda12__gsource_func, block4_data_ref (_data4_), block4_data_unref);
#line 2348 "application-window.c"
	} else {
#line 521 "../src/ui/application-window.vala"
		peek_ui_application_window_start_recording (self);
#line 2352 "application-window.c"
	}
#line 490 "../src/ui/application-window.vala"
	block4_data_unref (_data4_);
#line 490 "../src/ui/application-window.vala"
	_data4_ = NULL;
#line 2358 "application-window.c"
}

static void
peek_ui_application_window_prepare_stop_recording (PeekUiApplicationWindow* self)
{
#line 525 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 526 "../src/ui/application-window.vala"
	if (!self->priv->is_recording) {
#line 526 "../src/ui/application-window.vala"
		return;
#line 2370 "application-window.c"
	}
#line 528 "../src/ui/application-window.vala"
	if (self->priv->delay_indicator_timeout != ((guint) 0)) {
#line 529 "../src/ui/application-window.vala"
		g_source_remove (self->priv->delay_indicator_timeout);
#line 530 "../src/ui/application-window.vala"
		self->priv->delay_indicator_timeout = (guint) 0;
#line 531 "../src/ui/application-window.vala"
		peek_ui_application_window_leave_recording_state (self);
#line 2380 "application-window.c"
	} else {
#line 532 "../src/ui/application-window.vala"
		if (self->priv->start_recording_event_source != ((guint) 0)) {
#line 533 "../src/ui/application-window.vala"
			g_source_remove (self->priv->start_recording_event_source);
#line 534 "../src/ui/application-window.vala"
			self->priv->start_recording_event_source = (guint) 0;
#line 535 "../src/ui/application-window.vala"
			peek_ui_application_window_leave_recording_state (self);
#line 2390 "application-window.c"
		} else {
			PeekRecordingScreenRecorder* _tmp0_;
			gboolean _tmp1_;
			gboolean _tmp2_;
#line 536 "../src/ui/application-window.vala"
			_tmp0_ = self->priv->_recorder;
#line 536 "../src/ui/application-window.vala"
			_tmp1_ = peek_recording_screen_recorder_get_is_recording (_tmp0_);
#line 536 "../src/ui/application-window.vala"
			_tmp2_ = _tmp1_;
#line 536 "../src/ui/application-window.vala"
			if (!_tmp2_) {
#line 537 "../src/ui/application-window.vala"
				return;
#line 2405 "application-window.c"
			} else {
				GtkButton* _tmp3_;
				PeekRecordingScreenRecorder* _tmp4_;
#line 539 "../src/ui/application-window.vala"
				_tmp3_ = self->priv->stop_button;
#line 539 "../src/ui/application-window.vala"
				gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, FALSE);
#line 540 "../src/ui/application-window.vala"
				peek_ui_application_window_show_spinner (self);
#line 541 "../src/ui/application-window.vala"
				_tmp4_ = self->priv->_recorder;
#line 541 "../src/ui/application-window.vala"
				peek_recording_screen_recorder_stop (_tmp4_);
#line 2419 "application-window.c"
			}
		}
	}
}

static void
peek_ui_application_window_show_spinner (PeekUiApplicationWindow* self)
{
	GtkBox* box = NULL;
	GtkBox* _tmp0_;
	GtkSpinner* spinner = NULL;
	GtkSpinner* _tmp1_;
	GtkSpinner* _tmp2_;
	GtkBox* _tmp3_;
	GtkSpinner* _tmp4_;
	GtkBox* _tmp8_;
	GtkHeaderBar* _tmp9_;
	GtkBox* _tmp10_;
#line 545 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 546 "../src/ui/application-window.vala"
	_tmp0_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 546 "../src/ui/application-window.vala"
	g_object_ref_sink (_tmp0_);
#line 546 "../src/ui/application-window.vala"
	box = _tmp0_;
#line 548 "../src/ui/application-window.vala"
	_tmp1_ = (GtkSpinner*) gtk_spinner_new ();
#line 548 "../src/ui/application-window.vala"
	g_object_ref_sink (_tmp1_);
#line 548 "../src/ui/application-window.vala"
	spinner = _tmp1_;
#line 549 "../src/ui/application-window.vala"
	_tmp2_ = spinner;
#line 549 "../src/ui/application-window.vala"
	g_object_set (_tmp2_, "active", TRUE, NULL);
#line 550 "../src/ui/application-window.vala"
	_tmp3_ = box;
#line 550 "../src/ui/application-window.vala"
	_tmp4_ = spinner;
#line 550 "../src/ui/application-window.vala"
	gtk_box_pack_start (_tmp3_, (GtkWidget*) _tmp4_, FALSE, FALSE, (guint) 0);
#line 552 "../src/ui/application-window.vala"
	if (peek_ui_application_window_get_window_width (self) >= PEEK_UI_APPLICATION_WINDOW_SMALL_WINDOW_SIZE) {
#line 2464 "application-window.c"
		GtkLabel* label = NULL;
		GtkLabel* _tmp5_;
		GtkBox* _tmp6_;
		GtkLabel* _tmp7_;
#line 553 "../src/ui/application-window.vala"
		_tmp5_ = (GtkLabel*) gtk_label_new (_ ("Rendering…"));
#line 553 "../src/ui/application-window.vala"
		g_object_ref_sink (_tmp5_);
#line 553 "../src/ui/application-window.vala"
		label = _tmp5_;
#line 554 "../src/ui/application-window.vala"
		_tmp6_ = box;
#line 554 "../src/ui/application-window.vala"
		_tmp7_ = label;
#line 554 "../src/ui/application-window.vala"
		gtk_box_pack_start (_tmp6_, (GtkWidget*) _tmp7_, FALSE, FALSE, (guint) 0);
#line 552 "../src/ui/application-window.vala"
		_g_object_unref0 (label);
#line 2483 "application-window.c"
	}
#line 557 "../src/ui/application-window.vala"
	_tmp8_ = box;
#line 557 "../src/ui/application-window.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp8_);
#line 558 "../src/ui/application-window.vala"
	_tmp9_ = self->priv->headerbar;
#line 558 "../src/ui/application-window.vala"
	_tmp10_ = box;
#line 558 "../src/ui/application-window.vala"
	gtk_header_bar_set_custom_title (_tmp9_, (GtkWidget*) _tmp10_);
#line 545 "../src/ui/application-window.vala"
	_g_object_unref0 (spinner);
#line 545 "../src/ui/application-window.vala"
	_g_object_unref0 (box);
#line 2499 "application-window.c"
}

static void
peek_ui_application_window_hide_spinner (PeekUiApplicationWindow* self)
{
	GtkHeaderBar* _tmp0_;
#line 561 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 562 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->headerbar;
#line 562 "../src/ui/application-window.vala"
	gtk_header_bar_set_custom_title (_tmp0_, NULL);
#line 2512 "application-window.c"
}

static void
peek_ui_application_window_toggle_recording (PeekUiApplicationWindow* self)
{
#line 565 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 566 "../src/ui/application-window.vala"
	if (self->priv->is_recording) {
#line 567 "../src/ui/application-window.vala"
		peek_ui_application_window_prepare_stop_recording (self);
#line 2524 "application-window.c"
	} else {
#line 569 "../src/ui/application-window.vala"
		peek_ui_application_window_prepare_start_recording (self);
#line 2528 "application-window.c"
	}
}

static gboolean
__lambda14_ (PeekUiApplicationWindow* self)
{
	PeekRecordingRecordingArea area = {0};
	PeekRecordingRecordingArea _tmp0_ = {0};
	PeekRecordingRecordingArea _tmp1_;
	PeekRecordingRecordingArea _tmp2_;
	PeekRecordingRecordingArea _tmp3_;
	PeekRecordingRecordingArea _tmp4_;
	PeekRecordingRecordingArea _tmp5_;
	PeekRecordingRecordingArea _tmp6_;
	PeekRecordingRecordingArea _tmp7_ = {0};
	gboolean _tmp17_ = FALSE;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 577 "../src/ui/application-window.vala"
	g_source_remove (self->priv->start_recording_event_source);
#line 578 "../src/ui/application-window.vala"
	self->priv->start_recording_event_source = (guint) 0;
#line 579 "../src/ui/application-window.vala"
	peek_ui_application_window_update_time (self);
#line 580 "../src/ui/application-window.vala"
	peek_ui_application_window_get_recording_area (self, &_tmp0_);
#line 580 "../src/ui/application-window.vala"
	area = _tmp0_;
#line 581 "../src/ui/application-window.vala"
	_tmp1_ = area;
#line 581 "../src/ui/application-window.vala"
	_tmp2_ = area;
#line 581 "../src/ui/application-window.vala"
	_tmp3_ = area;
#line 581 "../src/ui/application-window.vala"
	_tmp4_ = area;
#line 581 "../src/ui/application-window.vala"
	g_debug ("application-window.vala:581: Recording area: %i, %i, %i, %i\n", _tmp1_.left, _tmp2_.top, _tmp3_.width, _tmp4_.height);
#line 583 "../src/ui/application-window.vala"
	_tmp5_ = area;
#line 583 "../src/ui/application-window.vala"
	_tmp6_ = _tmp5_;
#line 583 "../src/ui/application-window.vala"
	peek_recording_recording_area_copy (&_tmp6_, &_tmp7_);
#line 583 "../src/ui/application-window.vala"
	peek_recording_recording_area_destroy (&self->priv->active_recording_area);
#line 583 "../src/ui/application-window.vala"
	self->priv->active_recording_area = _tmp7_;
#line 2577 "application-window.c"
	{
		PeekRecordingScreenRecorder* _tmp8_;
		PeekRecordingRecordingArea _tmp9_;
#line 586 "../src/ui/application-window.vala"
		_tmp8_ = self->priv->_recorder;
#line 586 "../src/ui/application-window.vala"
		_tmp9_ = area;
#line 586 "../src/ui/application-window.vala"
		peek_recording_screen_recorder_record (_tmp8_, &_tmp9_, &_inner_error0_);
#line 586 "../src/ui/application-window.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2589 "application-window.c"
			gboolean _tmp10_ = FALSE;
#line 586 "../src/ui/application-window.vala"
			if (_inner_error0_->domain == PEEK_RECORDING_ERROR) {
#line 2593 "application-window.c"
				goto __catch0_peek_recording_error;
			}
#line 586 "../src/ui/application-window.vala"
			peek_recording_recording_area_destroy (&area);
#line 586 "../src/ui/application-window.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 586 "../src/ui/application-window.vala"
			g_clear_error (&_inner_error0_);
#line 586 "../src/ui/application-window.vala"
			return _tmp10_;
#line 2604 "application-window.c"
		}
#line 587 "../src/ui/application-window.vala"
		result = TRUE;
#line 587 "../src/ui/application-window.vala"
		peek_recording_recording_area_destroy (&area);
#line 587 "../src/ui/application-window.vala"
		return result;
#line 2612 "application-window.c"
	}
	goto __finally0;
	__catch0_peek_recording_error:
	{
		GError* e = NULL;
		FILE* _tmp11_;
		GError* _tmp12_;
		const gchar* _tmp13_;
		GError* _tmp14_;
		GtkDialog* _tmp15_;
		GtkDialog* _tmp16_;
#line 585 "../src/ui/application-window.vala"
		e = _inner_error0_;
#line 585 "../src/ui/application-window.vala"
		_inner_error0_ = NULL;
#line 589 "../src/ui/application-window.vala"
		_tmp11_ = stderr;
#line 589 "../src/ui/application-window.vala"
		_tmp12_ = e;
#line 589 "../src/ui/application-window.vala"
		_tmp13_ = _tmp12_->message;
#line 589 "../src/ui/application-window.vala"
		fprintf (_tmp11_, "Failed to initialize recorder: %s\n", _tmp13_);
#line 590 "../src/ui/application-window.vala"
		peek_ui_application_window_leave_recording_state (self);
#line 591 "../src/ui/application-window.vala"
		_tmp14_ = e;
#line 591 "../src/ui/application-window.vala"
		_tmp15_ = peek_ui_error_dialog_present_single_instance ((GtkWindow*) self, _ ("Recording could not be started due to an unexpected error."), _tmp14_);
#line 591 "../src/ui/application-window.vala"
		_tmp16_ = _tmp15_;
#line 591 "../src/ui/application-window.vala"
		_g_object_unref0 (_tmp16_);
#line 595 "../src/ui/application-window.vala"
		result = FALSE;
#line 595 "../src/ui/application-window.vala"
		_g_error_free0 (e);
#line 595 "../src/ui/application-window.vala"
		peek_recording_recording_area_destroy (&area);
#line 595 "../src/ui/application-window.vala"
		return result;
#line 2654 "application-window.c"
	}
	__finally0:
#line 585 "../src/ui/application-window.vala"
	peek_recording_recording_area_destroy (&area);
#line 585 "../src/ui/application-window.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 585 "../src/ui/application-window.vala"
	g_clear_error (&_inner_error0_);
#line 585 "../src/ui/application-window.vala"
	return _tmp17_;
#line 2665 "application-window.c"
}

static gboolean
___lambda14__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda14_ ((PeekUiApplicationWindow*) self);
#line 576 "../src/ui/application-window.vala"
	return result;
#line 2675 "application-window.c"
}

static void
peek_ui_application_window_start_recording (PeekUiApplicationWindow* self)
{
#line 573 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 576 "../src/ui/application-window.vala"
	self->priv->start_recording_event_source = g_idle_add_full (G_PRIORITY_HIGH_IDLE, ___lambda14__gsource_func, g_object_ref (self), g_object_unref);
#line 2685 "application-window.c"
}

static void
peek_ui_application_window_enter_recording_state (PeekUiApplicationWindow* self)
{
#line 600 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 601 "../src/ui/application-window.vala"
	if (!self->priv->is_recording) {
#line 2695 "application-window.c"
		GtkLabel* _tmp0_;
		GtkLabel* _tmp1_;
		GtkMenuButton* _tmp2_;
		GtkButton* _tmp3_;
		GtkToggleButton* _tmp4_;
		GtkButton* _tmp7_;
		GtkButton* _tmp8_;
#line 602 "../src/ui/application-window.vala"
		self->priv->is_recording = TRUE;
#line 603 "../src/ui/application-window.vala"
		_tmp0_ = self->priv->size_indicator;
#line 603 "../src/ui/application-window.vala"
		gtk_widget_set_opacity ((GtkWidget*) _tmp0_, 0.0);
#line 604 "../src/ui/application-window.vala"
		_tmp1_ = self->priv->shortcut_label;
#line 604 "../src/ui/application-window.vala"
		gtk_widget_set_opacity ((GtkWidget*) _tmp1_, 0.0);
#line 605 "../src/ui/application-window.vala"
		_tmp2_ = self->priv->pop_format_menu;
#line 605 "../src/ui/application-window.vala"
		gtk_widget_hide ((GtkWidget*) _tmp2_);
#line 606 "../src/ui/application-window.vala"
		_tmp3_ = self->priv->record_button;
#line 606 "../src/ui/application-window.vala"
		gtk_widget_hide ((GtkWidget*) _tmp3_);
#line 607 "../src/ui/application-window.vala"
		_tmp4_ = self->priv->pop_menu_button;
#line 607 "../src/ui/application-window.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, FALSE);
#line 608 "../src/ui/application-window.vala"
		if (peek_ui_application_window_get_window_width (self) >= PEEK_UI_APPLICATION_WINDOW_SMALL_WINDOW_SIZE) {
#line 2727 "application-window.c"
			GtkButton* _tmp5_;
			const gchar* _tmp6_;
#line 609 "../src/ui/application-window.vala"
			_tmp5_ = self->priv->stop_button;
#line 609 "../src/ui/application-window.vala"
			_tmp6_ = self->priv->stop_button_label;
#line 609 "../src/ui/application-window.vala"
			gtk_button_set_label (_tmp5_, _tmp6_);
#line 2736 "application-window.c"
		}
#line 612 "../src/ui/application-window.vala"
		_tmp7_ = self->priv->stop_button;
#line 612 "../src/ui/application-window.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, TRUE);
#line 613 "../src/ui/application-window.vala"
		_tmp8_ = self->priv->stop_button;
#line 613 "../src/ui/application-window.vala"
		gtk_widget_show ((GtkWidget*) _tmp8_);
#line 614 "../src/ui/application-window.vala"
		peek_ui_set_window_size_dialog_close_instance ();
#line 615 "../src/ui/application-window.vala"
		peek_ui_application_window_freeze_window_size (self);
#line 616 "../src/ui/application-window.vala"
		gtk_window_set_keep_above ((GtkWindow*) self, TRUE);
#line 2752 "application-window.c"
	}
}

static void
___lambda9_ (PeekUiApplicationWindow* self,
             GObject* obj,
             GAsyncResult* res)
{
	GError* _inner_error0_ = NULL;
#line 634 "../src/ui/application-window.vala"
	g_return_if_fail (res != NULL);
#line 2764 "application-window.c"
	{
		gboolean delete_success = FALSE;
		GFile* _tmp0_;
		gchar* _tmp1_;
		gchar* _tmp2_;
#line 636 "../src/ui/application-window.vala"
		_tmp0_ = self->priv->in_file;
#line 636 "../src/ui/application-window.vala"
		delete_success = g_file_delete_finish (_tmp0_, res, &_inner_error0_);
#line 636 "../src/ui/application-window.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2776 "application-window.c"
			goto __catch0_g_error;
		}
#line 637 "../src/ui/application-window.vala"
		_tmp1_ = bool_to_string (delete_success);
#line 637 "../src/ui/application-window.vala"
		_tmp2_ = _tmp1_;
#line 637 "../src/ui/application-window.vala"
		g_debug ("application-window.vala:637: Temp file deleted: %s\n", _tmp2_);
#line 637 "../src/ui/application-window.vala"
		_g_free0 (_tmp2_);
#line 2787 "application-window.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		FILE* _tmp3_;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 635 "../src/ui/application-window.vala"
		e = _inner_error0_;
#line 635 "../src/ui/application-window.vala"
		_inner_error0_ = NULL;
#line 639 "../src/ui/application-window.vala"
		_tmp3_ = stderr;
#line 639 "../src/ui/application-window.vala"
		_tmp4_ = e;
#line 639 "../src/ui/application-window.vala"
		_tmp5_ = _tmp4_->message;
#line 639 "../src/ui/application-window.vala"
		fprintf (_tmp3_, "Temp file delete error: %s\n", _tmp5_);
#line 635 "../src/ui/application-window.vala"
		_g_error_free0 (e);
#line 2810 "application-window.c"
	}
	__finally0:
	{
		GError* _inner_error1_ = NULL;
#line 641 "../src/ui/application-window.vala"
		_g_object_unref0 (self->priv->in_file);
#line 641 "../src/ui/application-window.vala"
		self->priv->in_file = NULL;
#line 2819 "application-window.c"
	}
#line 635 "../src/ui/application-window.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 635 "../src/ui/application-window.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 635 "../src/ui/application-window.vala"
		g_clear_error (&_inner_error0_);
#line 635 "../src/ui/application-window.vala"
		return;
#line 2829 "application-window.c"
	}
#line 644 "../src/ui/application-window.vala"
	g_signal_emit (self, peek_ui_application_window_signals[PEEK_UI_APPLICATION_WINDOW_RECORDING_FINISHED_SIGNAL], 0);
#line 2833 "application-window.c"
}

static void
____lambda9__gasync_ready_callback (GObject* source_object,
                                    GAsyncResult* res,
                                    gpointer self)
{
#line 634 "../src/ui/application-window.vala"
	___lambda9_ ((PeekUiApplicationWindow*) self, source_object, res);
#line 634 "../src/ui/application-window.vala"
	g_object_unref (self);
#line 2845 "application-window.c"
}

static void
peek_ui_application_window_leave_recording_state (PeekUiApplicationWindow* self)
{
	GtkLabel* _tmp0_;
	GtkButton* _tmp1_;
	GtkMenuButton* _tmp2_;
	GtkButton* _tmp3_;
	GtkToggleButton* _tmp4_;
	GFile* _tmp5_;
#line 620 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 621 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->out_file);
#line 621 "../src/ui/application-window.vala"
	self->priv->out_file = NULL;
#line 622 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->delay_indicator;
#line 622 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp0_);
#line 623 "../src/ui/application-window.vala"
	self->priv->is_recording = FALSE;
#line 624 "../src/ui/application-window.vala"
	self->priv->is_postprocessing = FALSE;
#line 625 "../src/ui/application-window.vala"
	_tmp1_ = self->priv->stop_button;
#line 625 "../src/ui/application-window.vala"
	gtk_widget_hide ((GtkWidget*) _tmp1_);
#line 626 "../src/ui/application-window.vala"
	_tmp2_ = self->priv->pop_format_menu;
#line 626 "../src/ui/application-window.vala"
	gtk_widget_show ((GtkWidget*) _tmp2_);
#line 627 "../src/ui/application-window.vala"
	_tmp3_ = self->priv->record_button;
#line 627 "../src/ui/application-window.vala"
	gtk_widget_show ((GtkWidget*) _tmp3_);
#line 628 "../src/ui/application-window.vala"
	_tmp4_ = self->priv->pop_menu_button;
#line 628 "../src/ui/application-window.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, TRUE);
#line 629 "../src/ui/application-window.vala"
	peek_ui_application_window_unfreeze_window_size (self);
#line 630 "../src/ui/application-window.vala"
	peek_ui_application_window_hide_spinner (self);
#line 632 "../src/ui/application-window.vala"
	_tmp5_ = self->priv->in_file;
#line 632 "../src/ui/application-window.vala"
	if (_tmp5_ != NULL) {
#line 2895 "application-window.c"
		GFile* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		GFile* _tmp9_;
#line 633 "../src/ui/application-window.vala"
		_tmp6_ = self->priv->in_file;
#line 633 "../src/ui/application-window.vala"
		_tmp7_ = g_file_get_uri (_tmp6_);
#line 633 "../src/ui/application-window.vala"
		_tmp8_ = _tmp7_;
#line 633 "../src/ui/application-window.vala"
		g_debug ("application-window.vala:633: Deleting temp file %s\n", _tmp8_);
#line 633 "../src/ui/application-window.vala"
		_g_free0 (_tmp8_);
#line 634 "../src/ui/application-window.vala"
		_tmp9_ = self->priv->in_file;
#line 634 "../src/ui/application-window.vala"
		g_file_delete_async (_tmp9_, G_PRIORITY_DEFAULT, NULL, ____lambda9__gasync_ready_callback, g_object_ref (self));
#line 2914 "application-window.c"
	} else {
#line 647 "../src/ui/application-window.vala"
		g_signal_emit (self, peek_ui_application_window_signals[PEEK_UI_APPLICATION_WINDOW_RECORDING_FINISHED_SIGNAL], 0);
#line 2918 "application-window.c"
	}
}

static void
peek_ui_application_window_update_input_shape (PeekUiApplicationWindow* self)
{
	cairo_region_t* window_region = NULL;
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
	cairo_region_t* _tmp2_;
	cairo_region_t* recording_view_region = NULL;
	GtkWidget* _tmp3_;
	cairo_region_t* _tmp4_;
	cairo_region_t* _tmp5_;
	cairo_region_t* _tmp6_;
	GtkPopover* _tmp7_;
	gboolean _tmp8_;
	gboolean _tmp9_;
	GtkPopover* _tmp14_;
	gboolean _tmp15_;
	gboolean _tmp16_;
	cairo_region_t* _tmp21_;
	GdkScreen* _tmp22_;
#line 651 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 653 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->recording_view;
#line 653 "../src/ui/application-window.vala"
	_tmp1_ = gtk_widget_get_toplevel (_tmp0_);
#line 653 "../src/ui/application-window.vala"
	_tmp2_ = peek_gtk_helper_create_region_from_widget (_tmp1_);
#line 653 "../src/ui/application-window.vala"
	window_region = _tmp2_;
#line 654 "../src/ui/application-window.vala"
	_tmp3_ = self->priv->recording_view;
#line 654 "../src/ui/application-window.vala"
	_tmp4_ = peek_gtk_helper_create_region_from_widget (_tmp3_);
#line 654 "../src/ui/application-window.vala"
	recording_view_region = _tmp4_;
#line 655 "../src/ui/application-window.vala"
	_tmp5_ = window_region;
#line 655 "../src/ui/application-window.vala"
	_tmp6_ = recording_view_region;
#line 655 "../src/ui/application-window.vala"
	cairo_region_subtract (_tmp5_, _tmp6_);
#line 658 "../src/ui/application-window.vala"
	_tmp7_ = self->priv->pop_format;
#line 658 "../src/ui/application-window.vala"
	_tmp8_ = gtk_widget_get_visible ((GtkWidget*) _tmp7_);
#line 658 "../src/ui/application-window.vala"
	_tmp9_ = _tmp8_;
#line 658 "../src/ui/application-window.vala"
	if (_tmp9_) {
#line 2972 "application-window.c"
		cairo_region_t* pop_format_region = NULL;
		GtkPopover* _tmp10_;
		cairo_region_t* _tmp11_;
		cairo_region_t* _tmp12_;
		cairo_region_t* _tmp13_;
#line 659 "../src/ui/application-window.vala"
		_tmp10_ = self->priv->pop_format;
#line 659 "../src/ui/application-window.vala"
		_tmp11_ = peek_gtk_helper_create_region_from_widget ((GtkWidget*) _tmp10_);
#line 659 "../src/ui/application-window.vala"
		pop_format_region = _tmp11_;
#line 660 "../src/ui/application-window.vala"
		_tmp12_ = window_region;
#line 660 "../src/ui/application-window.vala"
		_tmp13_ = pop_format_region;
#line 660 "../src/ui/application-window.vala"
		cairo_region_union (_tmp12_, _tmp13_);
#line 658 "../src/ui/application-window.vala"
		_cairo_region_destroy0 (pop_format_region);
#line 2992 "application-window.c"
	}
#line 664 "../src/ui/application-window.vala"
	_tmp14_ = self->priv->pop_menu;
#line 664 "../src/ui/application-window.vala"
	_tmp15_ = gtk_widget_get_visible ((GtkWidget*) _tmp14_);
#line 664 "../src/ui/application-window.vala"
	_tmp16_ = _tmp15_;
#line 664 "../src/ui/application-window.vala"
	if (_tmp16_) {
#line 3002 "application-window.c"
		cairo_region_t* pop_menu_region = NULL;
		GtkPopover* _tmp17_;
		cairo_region_t* _tmp18_;
		cairo_region_t* _tmp19_;
		cairo_region_t* _tmp20_;
#line 665 "../src/ui/application-window.vala"
		_tmp17_ = self->priv->pop_menu;
#line 665 "../src/ui/application-window.vala"
		_tmp18_ = peek_gtk_helper_create_region_from_widget ((GtkWidget*) _tmp17_);
#line 665 "../src/ui/application-window.vala"
		pop_menu_region = _tmp18_;
#line 666 "../src/ui/application-window.vala"
		_tmp19_ = window_region;
#line 666 "../src/ui/application-window.vala"
		_tmp20_ = pop_menu_region;
#line 666 "../src/ui/application-window.vala"
		cairo_region_union (_tmp19_, _tmp20_);
#line 664 "../src/ui/application-window.vala"
		_cairo_region_destroy0 (pop_menu_region);
#line 3022 "application-window.c"
	}
#line 669 "../src/ui/application-window.vala"
	_tmp21_ = window_region;
#line 669 "../src/ui/application-window.vala"
	gtk_widget_input_shape_combine_region ((GtkWidget*) self, _tmp21_);
#line 671 "../src/ui/application-window.vala"
	_tmp22_ = gtk_window_get_screen ((GtkWindow*) self);
#line 671 "../src/ui/application-window.vala"
	if (!gdk_screen_is_composited (_tmp22_)) {
#line 3032 "application-window.c"
		gboolean _tmp23_ = FALSE;
#line 672 "../src/ui/application-window.vala"
		if (self->priv->delay_indicator_timeout == ((guint) 0)) {
#line 673 "../src/ui/application-window.vala"
			_tmp23_ = self->priv->size_indicator_timeout == ((guint) 0);
#line 3038 "application-window.c"
		} else {
#line 672 "../src/ui/application-window.vala"
			_tmp23_ = FALSE;
#line 3042 "application-window.c"
		}
#line 672 "../src/ui/application-window.vala"
		if (_tmp23_) {
#line 3046 "application-window.c"
			cairo_region_t* _tmp24_;
#line 674 "../src/ui/application-window.vala"
			_tmp24_ = window_region;
#line 674 "../src/ui/application-window.vala"
			gtk_widget_shape_combine_region ((GtkWidget*) self, _tmp24_);
#line 3052 "application-window.c"
		} else {
#line 676 "../src/ui/application-window.vala"
			gtk_widget_shape_combine_region ((GtkWidget*) self, NULL);
#line 3056 "application-window.c"
		}
	}
#line 651 "../src/ui/application-window.vala"
	_cairo_region_destroy0 (recording_view_region);
#line 651 "../src/ui/application-window.vala"
	_cairo_region_destroy0 (window_region);
#line 3063 "application-window.c"
}

static void
peek_ui_application_window_freeze_window_size (PeekUiApplicationWindow* self)
{
	gint width = 0;
	gint height = 0;
#line 681 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 683 "../src/ui/application-window.vala"
	if (peek_desktop_integration_is_xfce ()) {
#line 684 "../src/ui/application-window.vala"
		g_debug ("application-window.vala:684: Window size freezing disabled on Xfce");
#line 685 "../src/ui/application-window.vala"
		return;
#line 3079 "application-window.c"
	}
#line 688 "../src/ui/application-window.vala"
	width = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 689 "../src/ui/application-window.vala"
	height = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 690 "../src/ui/application-window.vala"
	g_debug ("application-window.vala:690: freeze_window_size w: %d, h: %d", width, height);
#line 691 "../src/ui/application-window.vala"
	gtk_widget_set_size_request ((GtkWidget*) self, width, height);
#line 692 "../src/ui/application-window.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 3091 "application-window.c"
}

static void
peek_ui_application_window_unfreeze_window_size (PeekUiApplicationWindow* self)
{
	gint width = 0;
	gint height = 0;
#line 695 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 697 "../src/ui/application-window.vala"
	if (peek_desktop_integration_is_xfce ()) {
#line 698 "../src/ui/application-window.vala"
		g_debug ("application-window.vala:698: Window size freezing disabled on Xfce");
#line 699 "../src/ui/application-window.vala"
		return;
#line 3107 "application-window.c"
	}
#line 702 "../src/ui/application-window.vala"
	width = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 703 "../src/ui/application-window.vala"
	height = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 704 "../src/ui/application-window.vala"
	g_debug ("application-window.vala:704: unfreeze_window_size w: %d, h: %d", width, height);
#line 705 "../src/ui/application-window.vala"
	gtk_widget_set_size_request ((GtkWidget*) self, 0, 0);
#line 706 "../src/ui/application-window.vala"
	gtk_window_set_default_size ((GtkWindow*) self, width, height);
#line 707 "../src/ui/application-window.vala"
	gtk_window_set_resizable ((GtkWindow*) self, TRUE);
#line 3121 "application-window.c"
}

static void
peek_ui_application_window_show_file_chooser (PeekUiApplicationWindow* self)
{
	GtkFileChooserDialog* chooser = NULL;
	GtkFileChooserDialog* _tmp0_;
	GtkWidget* ok_button = NULL;
	GtkFileChooserDialog* _tmp1_;
	GtkWidget* _tmp2_;
	GtkWidget* _tmp3_;
	GtkWidget* _tmp4_;
	GtkStyleContext* _tmp5_;
	GtkFileChooserDialog* _tmp6_;
	gchar* extension = NULL;
	PeekRecordingScreenRecorder* _tmp7_;
	PeekRecordingRecordingConfig* _tmp8_;
	PeekRecordingRecordingConfig* _tmp9_;
	PeekOutputFormat _tmp10_;
	PeekOutputFormat _tmp11_;
	gchar* _tmp12_;
	gchar* filename = NULL;
	const gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	const gchar* _tmp16_;
	gchar* _tmp17_;
	gchar* _tmp18_;
	GtkFileFilter* filter = NULL;
	GtkFileFilter* _tmp19_;
	GtkFileFilter* _tmp20_;
	const gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	GtkFileChooserDialog* _tmp24_;
	GtkFileFilter* _tmp25_;
	gchar* folder = NULL;
	gchar* _tmp26_;
	GtkFileChooserDialog* _tmp27_;
	const gchar* _tmp28_;
	GDateTime* now = NULL;
	GDateTime* _tmp29_;
	gchar* default_name = NULL;
	GDateTime* _tmp30_;
	const gchar* _tmp31_;
	gchar* _tmp32_;
	GtkFileChooserDialog* _tmp33_;
	const gchar* _tmp34_;
	GtkFileChooserDialog* _tmp35_;
	const gchar* _tmp36_;
	GtkFileChooserDialog* _tmp37_;
	GtkFileChooserDialog* _tmp44_;
#line 710 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 717 "../src/ui/application-window.vala"
	_tmp0_ = (GtkFileChooserDialog*) gtk_file_chooser_dialog_new (_ ("Save animation"), (GtkWindow*) self, GTK_FILE_CHOOSER_ACTION_SAVE, _ ("_Cancel"), GTK_RESPONSE_CANCEL, NULL);
#line 717 "../src/ui/application-window.vala"
	g_object_ref_sink (_tmp0_);
#line 717 "../src/ui/application-window.vala"
	chooser = _tmp0_;
#line 721 "../src/ui/application-window.vala"
	_tmp1_ = chooser;
#line 721 "../src/ui/application-window.vala"
	_tmp2_ = gtk_dialog_add_button ((GtkDialog*) _tmp1_, _ ("_Save"), (gint) GTK_RESPONSE_ACCEPT);
#line 721 "../src/ui/application-window.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 721 "../src/ui/application-window.vala"
	ok_button = _tmp3_;
#line 722 "../src/ui/application-window.vala"
	_tmp4_ = ok_button;
#line 722 "../src/ui/application-window.vala"
	_tmp5_ = gtk_widget_get_style_context (_tmp4_);
#line 722 "../src/ui/application-window.vala"
	gtk_style_context_add_class (_tmp5_, "suggested-action");
#line 725 "../src/ui/application-window.vala"
	_tmp6_ = chooser;
#line 725 "../src/ui/application-window.vala"
	gtk_file_chooser_set_do_overwrite_confirmation ((GtkFileChooser*) _tmp6_, TRUE);
#line 727 "../src/ui/application-window.vala"
	_tmp7_ = self->priv->_recorder;
#line 727 "../src/ui/application-window.vala"
	_tmp8_ = peek_recording_screen_recorder_get_config (_tmp7_);
#line 727 "../src/ui/application-window.vala"
	_tmp9_ = _tmp8_;
#line 727 "../src/ui/application-window.vala"
	_tmp10_ = peek_recording_recording_config_get_output_format (_tmp9_);
#line 727 "../src/ui/application-window.vala"
	_tmp11_ = _tmp10_;
#line 727 "../src/ui/application-window.vala"
	_tmp12_ = peek_utils_get_file_extension_for_format (_tmp11_);
#line 727 "../src/ui/application-window.vala"
	extension = _tmp12_;
#line 729 "../src/ui/application-window.vala"
	_tmp13_ = self->priv->_default_file_name_format;
#line 729 "../src/ui/application-window.vala"
	_tmp14_ = g_strconcat (_tmp13_, ".", NULL);
#line 729 "../src/ui/application-window.vala"
	_tmp15_ = _tmp14_;
#line 729 "../src/ui/application-window.vala"
	_tmp16_ = extension;
#line 729 "../src/ui/application-window.vala"
	_tmp17_ = g_strconcat (_tmp15_, _tmp16_, NULL);
#line 729 "../src/ui/application-window.vala"
	_tmp18_ = _tmp17_;
#line 729 "../src/ui/application-window.vala"
	_g_free0 (_tmp15_);
#line 729 "../src/ui/application-window.vala"
	filename = _tmp18_;
#line 731 "../src/ui/application-window.vala"
	_tmp19_ = gtk_file_filter_new ();
#line 731 "../src/ui/application-window.vala"
	g_object_ref_sink (_tmp19_);
#line 731 "../src/ui/application-window.vala"
	filter = _tmp19_;
#line 732 "../src/ui/application-window.vala"
	_tmp20_ = filter;
#line 732 "../src/ui/application-window.vala"
	_tmp21_ = extension;
#line 732 "../src/ui/application-window.vala"
	_tmp22_ = g_strconcat ("*.", _tmp21_, NULL);
#line 732 "../src/ui/application-window.vala"
	_tmp23_ = _tmp22_;
#line 732 "../src/ui/application-window.vala"
	gtk_file_filter_add_pattern (_tmp20_, _tmp23_);
#line 732 "../src/ui/application-window.vala"
	_g_free0 (_tmp23_);
#line 733 "../src/ui/application-window.vala"
	_tmp24_ = chooser;
#line 733 "../src/ui/application-window.vala"
	_tmp25_ = filter;
#line 733 "../src/ui/application-window.vala"
	gtk_file_chooser_set_filter ((GtkFileChooser*) _tmp24_, _tmp25_);
#line 735 "../src/ui/application-window.vala"
	_tmp26_ = peek_ui_application_window_load_preferred_save_folder (self);
#line 735 "../src/ui/application-window.vala"
	folder = _tmp26_;
#line 736 "../src/ui/application-window.vala"
	_tmp27_ = chooser;
#line 736 "../src/ui/application-window.vala"
	_tmp28_ = folder;
#line 736 "../src/ui/application-window.vala"
	gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp27_, _tmp28_);
#line 738 "../src/ui/application-window.vala"
	_tmp29_ = g_date_time_new_now_local ();
#line 738 "../src/ui/application-window.vala"
	now = _tmp29_;
#line 739 "../src/ui/application-window.vala"
	_tmp30_ = now;
#line 739 "../src/ui/application-window.vala"
	_tmp31_ = filename;
#line 739 "../src/ui/application-window.vala"
	_tmp32_ = g_date_time_format (_tmp30_, _tmp31_);
#line 739 "../src/ui/application-window.vala"
	default_name = _tmp32_;
#line 740 "../src/ui/application-window.vala"
	_tmp33_ = chooser;
#line 740 "../src/ui/application-window.vala"
	_tmp34_ = default_name;
#line 740 "../src/ui/application-window.vala"
	gtk_file_chooser_set_current_name ((GtkFileChooser*) _tmp33_, _tmp34_);
#line 742 "../src/ui/application-window.vala"
	_tmp35_ = chooser;
#line 742 "../src/ui/application-window.vala"
	_tmp36_ = g_type_name (G_TYPE_FROM_INSTANCE ((GObject*) _tmp35_));
#line 742 "../src/ui/application-window.vala"
	g_debug ("application-window.vala:742: Showing file chooser (%s)", _tmp36_);
#line 743 "../src/ui/application-window.vala"
	_tmp37_ = chooser;
#line 743 "../src/ui/application-window.vala"
	if (gtk_dialog_run ((GtkDialog*) _tmp37_) == ((gint) GTK_RESPONSE_ACCEPT)) {
#line 3292 "application-window.c"
		GtkFileChooserDialog* _tmp38_;
		gchar* _tmp39_;
		gchar* _tmp40_;
		GtkFileChooserDialog* _tmp41_;
		GFile* _tmp42_;
#line 744 "../src/ui/application-window.vala"
		_tmp38_ = chooser;
#line 744 "../src/ui/application-window.vala"
		_tmp39_ = gtk_file_chooser_get_uri ((GtkFileChooser*) _tmp38_);
#line 744 "../src/ui/application-window.vala"
		_tmp40_ = _tmp39_;
#line 744 "../src/ui/application-window.vala"
		g_debug ("application-window.vala:744: Selected file %s", _tmp40_);
#line 744 "../src/ui/application-window.vala"
		_g_free0 (_tmp40_);
#line 745 "../src/ui/application-window.vala"
		_tmp41_ = chooser;
#line 745 "../src/ui/application-window.vala"
		_tmp42_ = gtk_file_chooser_get_file ((GtkFileChooser*) _tmp41_);
#line 745 "../src/ui/application-window.vala"
		_g_object_unref0 (self->priv->out_file);
#line 745 "../src/ui/application-window.vala"
		self->priv->out_file = _tmp42_;
#line 746 "../src/ui/application-window.vala"
		peek_ui_application_window_try_save_file (self);
#line 3318 "application-window.c"
	} else {
		PeekRecordingScreenRecorder* _tmp43_;
#line 748 "../src/ui/application-window.vala"
		_tmp43_ = self->priv->_recorder;
#line 748 "../src/ui/application-window.vala"
		peek_recording_screen_recorder_cancel (_tmp43_);
#line 749 "../src/ui/application-window.vala"
		peek_ui_application_window_leave_recording_state (self);
#line 3327 "application-window.c"
	}
#line 754 "../src/ui/application-window.vala"
	_tmp44_ = chooser;
#line 754 "../src/ui/application-window.vala"
	g_signal_emit_by_name ((GtkDialog*) _tmp44_, "close");
#line 710 "../src/ui/application-window.vala"
	_g_free0 (default_name);
#line 710 "../src/ui/application-window.vala"
	_g_date_time_unref0 (now);
#line 710 "../src/ui/application-window.vala"
	_g_free0 (folder);
#line 710 "../src/ui/application-window.vala"
	_g_object_unref0 (filter);
#line 710 "../src/ui/application-window.vala"
	_g_free0 (filename);
#line 710 "../src/ui/application-window.vala"
	_g_free0 (extension);
#line 710 "../src/ui/application-window.vala"
	_g_object_unref0 (ok_button);
#line 710 "../src/ui/application-window.vala"
	_g_object_unref0 (chooser);
#line 3349 "application-window.c"
}

static void
peek_ui_application_window_try_save_file (PeekUiApplicationWindow* self)
{
	gboolean _tmp0_ = FALSE;
	GFile* _tmp1_;
#line 758 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 759 "../src/ui/application-window.vala"
	_tmp1_ = self->priv->in_file;
#line 759 "../src/ui/application-window.vala"
	if (_tmp1_ == NULL) {
#line 759 "../src/ui/application-window.vala"
		_tmp0_ = TRUE;
#line 3365 "application-window.c"
	} else {
		GFile* _tmp2_;
#line 759 "../src/ui/application-window.vala"
		_tmp2_ = self->priv->out_file;
#line 759 "../src/ui/application-window.vala"
		_tmp0_ = _tmp2_ == NULL;
#line 3372 "application-window.c"
	}
#line 759 "../src/ui/application-window.vala"
	if (_tmp0_) {
#line 760 "../src/ui/application-window.vala"
		return;
#line 3378 "application-window.c"
	}
#line 763 "../src/ui/application-window.vala"
	peek_ui_application_window_save_file (self);
#line 3382 "application-window.c"
}

static void
__lambda7_ (PeekUiApplicationWindow* self,
            GObject* obj,
            GAsyncResult* res)
{
	GError* _inner_error0_ = NULL;
#line 768 "../src/ui/application-window.vala"
	g_return_if_fail (res != NULL);
#line 3393 "application-window.c"
	{
		gboolean copy_success = FALSE;
		GFile* _tmp0_;
		gchar* _tmp1_;
		gchar* _tmp2_;
		GFile* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
#line 770 "../src/ui/application-window.vala"
		_tmp0_ = self->priv->in_file;
#line 770 "../src/ui/application-window.vala"
		copy_success = g_file_copy_finish (_tmp0_, res, &_inner_error0_);
#line 770 "../src/ui/application-window.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 3408 "application-window.c"
			goto __catch0_g_error;
		}
#line 771 "../src/ui/application-window.vala"
		_tmp1_ = bool_to_string (copy_success);
#line 771 "../src/ui/application-window.vala"
		_tmp2_ = _tmp1_;
#line 771 "../src/ui/application-window.vala"
		_tmp3_ = self->priv->out_file;
#line 771 "../src/ui/application-window.vala"
		_tmp4_ = g_file_get_uri (_tmp3_);
#line 771 "../src/ui/application-window.vala"
		_tmp5_ = _tmp4_;
#line 771 "../src/ui/application-window.vala"
		g_debug ("application-window.vala:771: File saved %s: %s", _tmp2_, _tmp5_);
#line 771 "../src/ui/application-window.vala"
		_g_free0 (_tmp5_);
#line 771 "../src/ui/application-window.vala"
		_g_free0 (_tmp2_);
#line 775 "../src/ui/application-window.vala"
		if (copy_success) {
#line 3429 "application-window.c"
			GFile* _tmp6_;
#line 776 "../src/ui/application-window.vala"
			_tmp6_ = self->priv->out_file;
#line 776 "../src/ui/application-window.vala"
			peek_ui_application_window_handle_saved_file (self, _tmp6_);
#line 3435 "application-window.c"
		} else {
			gchar* message = NULL;
			GFile* _tmp7_;
			gchar* _tmp8_;
			gchar* _tmp9_;
			gchar* _tmp10_;
			gchar* _tmp11_;
			FILE* _tmp12_;
			const gchar* _tmp13_;
			const gchar* _tmp14_;
			GError* _tmp15_;
#line 778 "../src/ui/application-window.vala"
			_tmp7_ = self->priv->out_file;
#line 778 "../src/ui/application-window.vala"
			_tmp8_ = g_file_get_uri (_tmp7_);
#line 778 "../src/ui/application-window.vala"
			_tmp9_ = _tmp8_;
#line 778 "../src/ui/application-window.vala"
			_tmp10_ = g_strdup_printf ("Saving file %s failed.", _tmp9_);
#line 778 "../src/ui/application-window.vala"
			_tmp11_ = _tmp10_;
#line 778 "../src/ui/application-window.vala"
			_g_free0 (_tmp9_);
#line 778 "../src/ui/application-window.vala"
			message = _tmp11_;
#line 779 "../src/ui/application-window.vala"
			_tmp12_ = stderr;
#line 779 "../src/ui/application-window.vala"
			_tmp13_ = message;
#line 779 "../src/ui/application-window.vala"
			fprintf (_tmp12_, "%s\n", _tmp13_);
#line 780 "../src/ui/application-window.vala"
			_tmp14_ = message;
#line 780 "../src/ui/application-window.vala"
			_tmp15_ = g_error_new_literal (G_IO_ERROR, G_IO_ERROR_FAILED, _tmp14_);
#line 780 "../src/ui/application-window.vala"
			_inner_error0_ = _tmp15_;
#line 780 "../src/ui/application-window.vala"
			_g_free0 (message);
#line 3475 "application-window.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		FILE* _tmp16_;
		GError* _tmp17_;
		const gchar* _tmp18_;
		GError* _tmp19_;
		GtkDialog* _tmp20_;
		GtkDialog* _tmp21_;
#line 769 "../src/ui/application-window.vala"
		e = _inner_error0_;
#line 769 "../src/ui/application-window.vala"
		_inner_error0_ = NULL;
#line 783 "../src/ui/application-window.vala"
		_tmp16_ = stderr;
#line 783 "../src/ui/application-window.vala"
		_tmp17_ = e;
#line 783 "../src/ui/application-window.vala"
		_tmp18_ = _tmp17_->message;
#line 783 "../src/ui/application-window.vala"
		fprintf (_tmp16_, "File save error: %s\n", _tmp18_);
#line 784 "../src/ui/application-window.vala"
		_tmp19_ = e;
#line 784 "../src/ui/application-window.vala"
		_tmp20_ = peek_ui_error_dialog_present_single_instance ((GtkWindow*) self, _ ("The file could not be saved to the selected location."), _tmp19_);
#line 784 "../src/ui/application-window.vala"
		_tmp21_ = _tmp20_;
#line 784 "../src/ui/application-window.vala"
		_g_object_unref0 (_tmp21_);
#line 769 "../src/ui/application-window.vala"
		_g_error_free0 (e);
#line 3511 "application-window.c"
	}
	__finally0:
	{
		GError* _inner_error1_ = NULL;
#line 790 "../src/ui/application-window.vala"
		peek_ui_application_window_leave_recording_state (self);
#line 3518 "application-window.c"
	}
#line 769 "../src/ui/application-window.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 769 "../src/ui/application-window.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 769 "../src/ui/application-window.vala"
		g_clear_error (&_inner_error0_);
#line 769 "../src/ui/application-window.vala"
		return;
#line 3528 "application-window.c"
	}
}

static void
___lambda7__gasync_ready_callback (GObject* source_object,
                                   GAsyncResult* res,
                                   gpointer self)
{
#line 767 "../src/ui/application-window.vala"
	__lambda7_ ((PeekUiApplicationWindow*) self, source_object, res);
#line 767 "../src/ui/application-window.vala"
	g_object_unref (self);
#line 3541 "application-window.c"
}

static void
peek_ui_application_window_save_file (PeekUiApplicationWindow* self)
{
	GFile* _tmp0_;
	GFile* _tmp1_;
#line 766 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 767 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->in_file;
#line 767 "../src/ui/application-window.vala"
	_tmp1_ = self->priv->out_file;
#line 767 "../src/ui/application-window.vala"
	g_file_copy_async (_tmp0_, _tmp1_, G_FILE_COPY_OVERWRITE, G_PRIORITY_DEFAULT, NULL, NULL, NULL, ___lambda7__gasync_ready_callback, g_object_ref (self));
#line 3557 "application-window.c"
}

static void
peek_ui_application_window_handle_saved_file (PeekUiApplicationWindow* self,
                                              GFile* file)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 795 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 795 "../src/ui/application-window.vala"
	g_return_if_fail (file != NULL);
#line 796 "../src/ui/application-window.vala"
	peek_ui_application_window_save_preferred_save_folder (self, file);
#line 799 "../src/ui/application-window.vala"
	_tmp1_ = gtk_widget_get_visible ((GtkWidget*) self);
#line 799 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 799 "../src/ui/application-window.vala"
	if (_tmp2_) {
#line 3579 "application-window.c"
		gboolean _tmp3_;
#line 799 "../src/ui/application-window.vala"
		_tmp3_ = self->priv->_open_file_manager;
#line 799 "../src/ui/application-window.vala"
		_tmp0_ = _tmp3_;
#line 3585 "application-window.c"
	} else {
#line 799 "../src/ui/application-window.vala"
		_tmp0_ = FALSE;
#line 3589 "application-window.c"
	}
#line 799 "../src/ui/application-window.vala"
	if (_tmp0_) {
#line 800 "../src/ui/application-window.vala"
		peek_desktop_integration_launch_file_manager (file);
#line 3595 "application-window.c"
	} else {
#line 802 "../src/ui/application-window.vala"
		peek_ui_application_window_show_file_saved_notification (self, file);
#line 3599 "application-window.c"
	}
}

static void
peek_ui_application_window_show_file_saved_notification (PeekUiApplicationWindow* self,
                                                         GFile* file)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	gboolean _tmp2_;
	GString* message = NULL;
	GString* _tmp4_;
	GString* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	GNotification* notification = NULL;
	GString* _tmp8_;
	const gchar* _tmp9_;
	GNotification* _tmp10_;
	GVariant* parameter = NULL;
	gchar* _tmp11_;
	gchar* _tmp12_;
	GVariant* _tmp13_;
	GVariant* _tmp14_;
	GString* _tmp21_;
	const gchar* _tmp22_;
	GtkApplication* _tmp23_;
	GtkApplication* _tmp24_;
	GNotification* _tmp25_;
#line 809 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 809 "../src/ui/application-window.vala"
	g_return_if_fail (file != NULL);
#line 810 "../src/ui/application-window.vala"
	_tmp1_ = gtk_widget_get_visible ((GtkWidget*) self);
#line 810 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 810 "../src/ui/application-window.vala"
	if (_tmp2_) {
#line 3639 "application-window.c"
		gboolean _tmp3_;
#line 810 "../src/ui/application-window.vala"
		_tmp3_ = self->priv->_show_notification;
#line 810 "../src/ui/application-window.vala"
		_tmp0_ = !_tmp3_;
#line 3645 "application-window.c"
	} else {
#line 810 "../src/ui/application-window.vala"
		_tmp0_ = FALSE;
#line 3649 "application-window.c"
	}
#line 810 "../src/ui/application-window.vala"
	if (_tmp0_) {
#line 810 "../src/ui/application-window.vala"
		return;
#line 3655 "application-window.c"
	}
#line 812 "../src/ui/application-window.vala"
	_tmp4_ = g_string_new ("");
#line 812 "../src/ui/application-window.vala"
	message = _tmp4_;
#line 813 "../src/ui/application-window.vala"
	_tmp5_ = message;
#line 813 "../src/ui/application-window.vala"
	_tmp6_ = g_file_get_basename (file);
#line 813 "../src/ui/application-window.vala"
	_tmp7_ = _tmp6_;
#line 813 "../src/ui/application-window.vala"
	g_string_printf (_tmp5_, _ ("Animation saved as “%s”"), _tmp7_);
#line 813 "../src/ui/application-window.vala"
	_g_free0 (_tmp7_);
#line 815 "../src/ui/application-window.vala"
	_tmp8_ = message;
#line 815 "../src/ui/application-window.vala"
	_tmp9_ = _tmp8_->str;
#line 815 "../src/ui/application-window.vala"
	_tmp10_ = peek_ui_application_window_build_standard_notification (_tmp9_);
#line 815 "../src/ui/application-window.vala"
	notification = _tmp10_;
#line 818 "../src/ui/application-window.vala"
	_tmp11_ = g_file_get_uri (file);
#line 818 "../src/ui/application-window.vala"
	_tmp12_ = _tmp11_;
#line 818 "../src/ui/application-window.vala"
	_tmp13_ = g_variant_new_string (_tmp12_);
#line 818 "../src/ui/application-window.vala"
	g_variant_ref_sink (_tmp13_);
#line 818 "../src/ui/application-window.vala"
	_tmp14_ = _tmp13_;
#line 818 "../src/ui/application-window.vala"
	_g_free0 (_tmp12_);
#line 818 "../src/ui/application-window.vala"
	parameter = _tmp14_;
#line 822 "../src/ui/application-window.vala"
	if (!peek_desktop_integration_is_unity ()) {
#line 3695 "application-window.c"
		GNotification* _tmp15_;
		GNotification* _tmp16_;
		GVariant* _tmp17_;
		gboolean _tmp18_ = FALSE;
#line 823 "../src/ui/application-window.vala"
		_tmp15_ = notification;
#line 823 "../src/ui/application-window.vala"
		g_notification_set_body (_tmp15_, _ ("Click here to show the saved file in your file manager."));
#line 824 "../src/ui/application-window.vala"
		_tmp16_ = notification;
#line 824 "../src/ui/application-window.vala"
		_tmp17_ = parameter;
#line 824 "../src/ui/application-window.vala"
		g_notification_add_button_with_target_value (_tmp16_, _ ("Show in file manager"), "app.show-file", _tmp17_);
#line 830 "../src/ui/application-window.vala"
		if (!peek_desktop_integration_is_plasma ()) {
#line 831 "../src/ui/application-window.vala"
			_tmp18_ = !peek_desktop_integration_is_xfce ();
#line 3714 "application-window.c"
		} else {
#line 830 "../src/ui/application-window.vala"
			_tmp18_ = FALSE;
#line 3718 "application-window.c"
		}
#line 830 "../src/ui/application-window.vala"
		if (_tmp18_) {
#line 3722 "application-window.c"
			GNotification* _tmp19_;
			GVariant* _tmp20_;
#line 832 "../src/ui/application-window.vala"
			_tmp19_ = notification;
#line 832 "../src/ui/application-window.vala"
			_tmp20_ = parameter;
#line 832 "../src/ui/application-window.vala"
			g_notification_set_default_action_and_target_value (_tmp19_, "app.show-file", _tmp20_);
#line 3731 "application-window.c"
		}
	}
#line 839 "../src/ui/application-window.vala"
	_tmp21_ = message;
#line 839 "../src/ui/application-window.vala"
	_tmp22_ = _tmp21_->str;
#line 839 "../src/ui/application-window.vala"
	g_debug ("application-window.vala:839: Showing desktop notification: %s", _tmp22_);
#line 840 "../src/ui/application-window.vala"
	_tmp23_ = gtk_window_get_application ((GtkWindow*) self);
#line 840 "../src/ui/application-window.vala"
	_tmp24_ = _tmp23_;
#line 840 "../src/ui/application-window.vala"
	_tmp25_ = notification;
#line 840 "../src/ui/application-window.vala"
	g_application_send_notification ((GApplication*) _tmp24_, "peek-file-saved", _tmp25_);
#line 809 "../src/ui/application-window.vala"
	_g_variant_unref0 (parameter);
#line 809 "../src/ui/application-window.vala"
	_g_object_unref0 (notification);
#line 809 "../src/ui/application-window.vala"
	_g_string_free0 (message);
#line 3754 "application-window.c"
}

static GNotification*
peek_ui_application_window_build_standard_notification (const gchar* message)
{
	GNotification* notification = NULL;
	GNotification* _tmp0_;
	GNotification* result;
#line 843 "../src/ui/application-window.vala"
	g_return_val_if_fail (message != NULL, NULL);
#line 844 "../src/ui/application-window.vala"
	_tmp0_ = g_notification_new (message);
#line 844 "../src/ui/application-window.vala"
	notification = _tmp0_;
#line 846 "../src/ui/application-window.vala"
	if (!peek_desktop_integration_is_cinnamon ()) {
#line 3771 "application-window.c"
		GNotification* _tmp1_;
		GThemedIcon* _tmp2_;
		GThemedIcon* _tmp3_;
#line 847 "../src/ui/application-window.vala"
		_tmp1_ = notification;
#line 847 "../src/ui/application-window.vala"
		_tmp2_ = (GThemedIcon*) g_themed_icon_new (PEEK_APP_ID);
#line 847 "../src/ui/application-window.vala"
		_tmp3_ = _tmp2_;
#line 847 "../src/ui/application-window.vala"
		g_notification_set_icon (_tmp1_, (GIcon*) _tmp3_);
#line 847 "../src/ui/application-window.vala"
		_g_object_unref0 (_tmp3_);
#line 3785 "application-window.c"
	} else {
		GtkIconTheme* icon_theme = NULL;
		GtkIconTheme* _tmp4_;
		GtkIconTheme* _tmp5_;
		GtkIconInfo* icon_info = NULL;
		GtkIconTheme* _tmp6_;
		GtkIconInfo* _tmp7_;
		gchar* icon_path = NULL;
		GtkIconInfo* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		const gchar* _tmp11_;
		const gchar* _tmp12_;
#line 849 "../src/ui/application-window.vala"
		_tmp4_ = gtk_icon_theme_get_default ();
#line 849 "../src/ui/application-window.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 849 "../src/ui/application-window.vala"
		icon_theme = _tmp5_;
#line 850 "../src/ui/application-window.vala"
		_tmp6_ = icon_theme;
#line 850 "../src/ui/application-window.vala"
		_tmp7_ = gtk_icon_theme_lookup_icon (_tmp6_, PEEK_APP_ID, 48, 0);
#line 850 "../src/ui/application-window.vala"
		icon_info = _tmp7_;
#line 851 "../src/ui/application-window.vala"
		_tmp8_ = icon_info;
#line 851 "../src/ui/application-window.vala"
		_tmp9_ = gtk_icon_info_get_filename (_tmp8_);
#line 851 "../src/ui/application-window.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 851 "../src/ui/application-window.vala"
		icon_path = _tmp10_;
#line 852 "../src/ui/application-window.vala"
		_tmp11_ = icon_path;
#line 852 "../src/ui/application-window.vala"
		g_debug ("application-window.vala:852: Using notification icon: %s", _tmp11_);
#line 853 "../src/ui/application-window.vala"
		_tmp12_ = icon_path;
#line 853 "../src/ui/application-window.vala"
		if (_tmp12_ != NULL) {
#line 3827 "application-window.c"
			GFileIcon* icon = NULL;
			const gchar* _tmp13_;
			GFile* _tmp14_;
			GFile* _tmp15_;
			GFileIcon* _tmp16_;
			GFileIcon* _tmp17_;
			GNotification* _tmp18_;
			GFileIcon* _tmp19_;
#line 854 "../src/ui/application-window.vala"
			_tmp13_ = icon_path;
#line 854 "../src/ui/application-window.vala"
			_tmp14_ = g_file_new_for_path (_tmp13_);
#line 854 "../src/ui/application-window.vala"
			_tmp15_ = _tmp14_;
#line 854 "../src/ui/application-window.vala"
			_tmp16_ = (GFileIcon*) g_file_icon_new (_tmp15_);
#line 854 "../src/ui/application-window.vala"
			_tmp17_ = _tmp16_;
#line 854 "../src/ui/application-window.vala"
			_g_object_unref0 (_tmp15_);
#line 854 "../src/ui/application-window.vala"
			icon = _tmp17_;
#line 855 "../src/ui/application-window.vala"
			_tmp18_ = notification;
#line 855 "../src/ui/application-window.vala"
			_tmp19_ = icon;
#line 855 "../src/ui/application-window.vala"
			g_notification_set_icon (_tmp18_, (GIcon*) _tmp19_);
#line 853 "../src/ui/application-window.vala"
			_g_object_unref0 (icon);
#line 3858 "application-window.c"
		}
#line 846 "../src/ui/application-window.vala"
		_g_free0 (icon_path);
#line 846 "../src/ui/application-window.vala"
		_g_object_unref0 (icon_info);
#line 846 "../src/ui/application-window.vala"
		_g_object_unref0 (icon_theme);
#line 3866 "application-window.c"
	}
#line 859 "../src/ui/application-window.vala"
	result = notification;
#line 859 "../src/ui/application-window.vala"
	return result;
#line 3872 "application-window.c"
}

static gchar*
peek_ui_application_window_load_preferred_save_folder (PeekUiApplicationWindow* self)
{
	gchar* folder = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	const gchar* _tmp4_;
	gchar* result;
#line 862 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 863 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_save_folder;
#line 863 "../src/ui/application-window.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 863 "../src/ui/application-window.vala"
	folder = _tmp1_;
#line 865 "../src/ui/application-window.vala"
	_tmp4_ = folder;
#line 865 "../src/ui/application-window.vala"
	if (_tmp4_ == NULL) {
#line 865 "../src/ui/application-window.vala"
		_tmp3_ = TRUE;
#line 3899 "application-window.c"
	} else {
		const gchar* _tmp5_;
#line 865 "../src/ui/application-window.vala"
		_tmp5_ = folder;
#line 865 "../src/ui/application-window.vala"
		_tmp3_ = g_strcmp0 (_tmp5_, "") == 0;
#line 3906 "application-window.c"
	}
#line 865 "../src/ui/application-window.vala"
	if (_tmp3_) {
#line 865 "../src/ui/application-window.vala"
		_tmp2_ = TRUE;
#line 3912 "application-window.c"
	} else {
		const gchar* _tmp6_;
#line 866 "../src/ui/application-window.vala"
		_tmp6_ = folder;
#line 866 "../src/ui/application-window.vala"
		_tmp2_ = !g_file_test (_tmp6_, G_FILE_TEST_IS_DIR);
#line 3919 "application-window.c"
	}
#line 865 "../src/ui/application-window.vala"
	if (_tmp2_) {
#line 3923 "application-window.c"
		gchar* _tmp7_;
#line 867 "../src/ui/application-window.vala"
		_tmp7_ = peek_desktop_integration_get_video_folder ();
#line 867 "../src/ui/application-window.vala"
		_g_free0 (folder);
#line 867 "../src/ui/application-window.vala"
		folder = _tmp7_;
#line 3931 "application-window.c"
	}
#line 870 "../src/ui/application-window.vala"
	result = folder;
#line 870 "../src/ui/application-window.vala"
	return result;
#line 3937 "application-window.c"
}

static void
peek_ui_application_window_save_preferred_save_folder (PeekUiApplicationWindow* self,
                                                       GFile* out_file)
{
#line 873 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 873 "../src/ui/application-window.vala"
	g_return_if_fail (out_file != NULL);
#line 874 "../src/ui/application-window.vala"
	if (g_file_has_uri_scheme (out_file, "file")) {
#line 3950 "application-window.c"
		GFile* parent = NULL;
		GFile* _tmp0_;
		gchar* new_folder = NULL;
		GFile* _tmp1_;
		gchar* _tmp2_;
		gchar* default_folder = NULL;
		gchar* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
#line 875 "../src/ui/application-window.vala"
		_tmp0_ = g_file_get_parent (out_file);
#line 875 "../src/ui/application-window.vala"
		parent = _tmp0_;
#line 876 "../src/ui/application-window.vala"
		_tmp1_ = parent;
#line 876 "../src/ui/application-window.vala"
		_tmp2_ = g_file_get_path (_tmp1_);
#line 876 "../src/ui/application-window.vala"
		new_folder = _tmp2_;
#line 877 "../src/ui/application-window.vala"
		_tmp3_ = peek_desktop_integration_get_video_folder ();
#line 877 "../src/ui/application-window.vala"
		default_folder = _tmp3_;
#line 879 "../src/ui/application-window.vala"
		_tmp4_ = new_folder;
#line 879 "../src/ui/application-window.vala"
		_tmp5_ = default_folder;
#line 879 "../src/ui/application-window.vala"
		if (g_strcmp0 (_tmp4_, _tmp5_) != 0) {
#line 3980 "application-window.c"
			const gchar* _tmp6_;
#line 880 "../src/ui/application-window.vala"
			_tmp6_ = new_folder;
#line 880 "../src/ui/application-window.vala"
			peek_ui_application_window_set_save_folder (self, _tmp6_);
#line 3986 "application-window.c"
		}
#line 874 "../src/ui/application-window.vala"
		_g_free0 (default_folder);
#line 874 "../src/ui/application-window.vala"
		_g_free0 (new_folder);
#line 874 "../src/ui/application-window.vala"
		_g_object_unref0 (parent);
#line 3994 "application-window.c"
	}
}

static void
peek_ui_application_window_load_geometry (PeekUiApplicationWindow* self)
{
	GVariant* geom = NULL;
	GSettings* _tmp0_;
	GVariant* _tmp1_;
	gint x = 0;
	gint y = 0;
	gint w = 0;
	gint h = 0;
	GVariant* _tmp2_;
	GVariant* _tmp3_;
	GVariant* _tmp4_;
	GVariant* _tmp5_;
	GVariant* _tmp6_;
	GVariant* _tmp7_;
	GVariant* _tmp8_;
	GVariant* _tmp9_;
	GVariant* _tmp10_;
	GVariant* _tmp11_;
	GVariant* _tmp12_;
	GVariant* _tmp13_;
	gboolean _tmp14_ = FALSE;
	gboolean _tmp15_ = FALSE;
#line 885 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 886 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->settings;
#line 886 "../src/ui/application-window.vala"
	_tmp1_ = g_settings_get_value (_tmp0_, "persist-window-geometry");
#line 886 "../src/ui/application-window.vala"
	geom = _tmp1_;
#line 887 "../src/ui/application-window.vala"
	x = 0;
#line 888 "../src/ui/application-window.vala"
	y = 0;
#line 889 "../src/ui/application-window.vala"
	w = 0;
#line 890 "../src/ui/application-window.vala"
	h = 0;
#line 891 "../src/ui/application-window.vala"
	_tmp2_ = geom;
#line 891 "../src/ui/application-window.vala"
	_tmp3_ = g_variant_get_child_value (_tmp2_, (gsize) 0);
#line 891 "../src/ui/application-window.vala"
	_tmp4_ = _tmp3_;
#line 891 "../src/ui/application-window.vala"
	x = (gint) g_variant_get_int32 (_tmp4_);
#line 891 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp4_);
#line 892 "../src/ui/application-window.vala"
	_tmp5_ = geom;
#line 892 "../src/ui/application-window.vala"
	_tmp6_ = g_variant_get_child_value (_tmp5_, (gsize) 1);
#line 892 "../src/ui/application-window.vala"
	_tmp7_ = _tmp6_;
#line 892 "../src/ui/application-window.vala"
	y = (gint) g_variant_get_int32 (_tmp7_);
#line 892 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp7_);
#line 893 "../src/ui/application-window.vala"
	_tmp8_ = geom;
#line 893 "../src/ui/application-window.vala"
	_tmp9_ = g_variant_get_child_value (_tmp8_, (gsize) 2);
#line 893 "../src/ui/application-window.vala"
	_tmp10_ = _tmp9_;
#line 893 "../src/ui/application-window.vala"
	w = (gint) g_variant_get_int32 (_tmp10_);
#line 893 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp10_);
#line 894 "../src/ui/application-window.vala"
	_tmp11_ = geom;
#line 894 "../src/ui/application-window.vala"
	_tmp12_ = g_variant_get_child_value (_tmp11_, (gsize) 3);
#line 894 "../src/ui/application-window.vala"
	_tmp13_ = _tmp12_;
#line 894 "../src/ui/application-window.vala"
	h = (gint) g_variant_get_int32 (_tmp13_);
#line 894 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp13_);
#line 895 "../src/ui/application-window.vala"
	if (w == 0) {
#line 895 "../src/ui/application-window.vala"
		_tmp14_ = TRUE;
#line 4082 "application-window.c"
	} else {
#line 895 "../src/ui/application-window.vala"
		_tmp14_ = h == 0;
#line 4086 "application-window.c"
	}
#line 895 "../src/ui/application-window.vala"
	if (_tmp14_) {
#line 896 "../src/ui/application-window.vala"
		_g_variant_unref0 (geom);
#line 896 "../src/ui/application-window.vala"
		return;
#line 4094 "application-window.c"
	}
#line 898 "../src/ui/application-window.vala"
	if (x >= 0) {
#line 898 "../src/ui/application-window.vala"
		_tmp15_ = y >= 0;
#line 4100 "application-window.c"
	} else {
#line 898 "../src/ui/application-window.vala"
		_tmp15_ = FALSE;
#line 4104 "application-window.c"
	}
#line 898 "../src/ui/application-window.vala"
	if (_tmp15_) {
#line 899 "../src/ui/application-window.vala"
		gtk_window_move ((GtkWindow*) self, x, y);
#line 4110 "application-window.c"
	}
#line 902 "../src/ui/application-window.vala"
	gtk_window_resize ((GtkWindow*) self, w, h);
#line 885 "../src/ui/application-window.vala"
	_g_variant_unref0 (geom);
#line 4116 "application-window.c"
}

static void
peek_ui_application_window_save_geometry (PeekUiApplicationWindow* self)
{
	GVariantBuilder* builder = NULL;
	const GVariantType* _tmp0_;
	GVariantBuilder* _tmp1_;
	gint x = 0;
	gint y = 0;
	gint w = 0;
	gint h = 0;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gint _tmp5_ = 0;
	GVariant* _tmp6_;
	GVariant* _tmp7_;
	GVariant* _tmp8_;
	GVariant* _tmp9_;
	GVariant* _tmp10_;
	GVariant* _tmp11_;
	GVariant* _tmp12_;
	GVariant* _tmp13_;
	GSettings* _tmp14_;
	GVariant* _tmp15_;
	GVariant* _tmp16_;
#line 905 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 906 "../src/ui/application-window.vala"
	_tmp0_ = G_VARIANT_TYPE_TUPLE;
#line 906 "../src/ui/application-window.vala"
	_tmp1_ = g_variant_builder_new (_tmp0_);
#line 906 "../src/ui/application-window.vala"
	builder = _tmp1_;
#line 907 "../src/ui/application-window.vala"
	x = 0;
#line 908 "../src/ui/application-window.vala"
	y = 0;
#line 909 "../src/ui/application-window.vala"
	w = 0;
#line 910 "../src/ui/application-window.vala"
	h = 0;
#line 911 "../src/ui/application-window.vala"
	gtk_window_get_position ((GtkWindow*) self, &_tmp2_, &_tmp3_);
#line 911 "../src/ui/application-window.vala"
	x = _tmp2_;
#line 911 "../src/ui/application-window.vala"
	y = _tmp3_;
#line 912 "../src/ui/application-window.vala"
	gtk_window_get_size ((GtkWindow*) self, &_tmp4_, &_tmp5_);
#line 912 "../src/ui/application-window.vala"
	w = _tmp4_;
#line 912 "../src/ui/application-window.vala"
	h = _tmp5_;
#line 913 "../src/ui/application-window.vala"
	_tmp6_ = g_variant_new_int32 ((gint32) x);
#line 913 "../src/ui/application-window.vala"
	g_variant_ref_sink (_tmp6_);
#line 913 "../src/ui/application-window.vala"
	_tmp7_ = _tmp6_;
#line 913 "../src/ui/application-window.vala"
	g_variant_builder_add_value (builder, _tmp7_);
#line 913 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp7_);
#line 914 "../src/ui/application-window.vala"
	_tmp8_ = g_variant_new_int32 ((gint32) y);
#line 914 "../src/ui/application-window.vala"
	g_variant_ref_sink (_tmp8_);
#line 914 "../src/ui/application-window.vala"
	_tmp9_ = _tmp8_;
#line 914 "../src/ui/application-window.vala"
	g_variant_builder_add_value (builder, _tmp9_);
#line 914 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp9_);
#line 915 "../src/ui/application-window.vala"
	_tmp10_ = g_variant_new_int32 ((gint32) w);
#line 915 "../src/ui/application-window.vala"
	g_variant_ref_sink (_tmp10_);
#line 915 "../src/ui/application-window.vala"
	_tmp11_ = _tmp10_;
#line 915 "../src/ui/application-window.vala"
	g_variant_builder_add_value (builder, _tmp11_);
#line 915 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp11_);
#line 916 "../src/ui/application-window.vala"
	_tmp12_ = g_variant_new_int32 ((gint32) h);
#line 916 "../src/ui/application-window.vala"
	g_variant_ref_sink (_tmp12_);
#line 916 "../src/ui/application-window.vala"
	_tmp13_ = _tmp12_;
#line 916 "../src/ui/application-window.vala"
	g_variant_builder_add_value (builder, _tmp13_);
#line 916 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp13_);
#line 917 "../src/ui/application-window.vala"
	_tmp14_ = self->priv->settings;
#line 917 "../src/ui/application-window.vala"
	_tmp15_ = g_variant_builder_end (builder);
#line 917 "../src/ui/application-window.vala"
	g_variant_ref_sink (_tmp15_);
#line 917 "../src/ui/application-window.vala"
	_tmp16_ = _tmp15_;
#line 917 "../src/ui/application-window.vala"
	g_settings_set_value (_tmp14_, "persist-window-geometry", _tmp16_);
#line 917 "../src/ui/application-window.vala"
	_g_variant_unref0 (_tmp16_);
#line 905 "../src/ui/application-window.vala"
	_g_variant_builder_unref0 (builder);
#line 4226 "application-window.c"
}

static gint
peek_ui_application_window_get_window_width (PeekUiApplicationWindow* self)
{
	gint w = 0;
	gint h = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint result;
#line 920 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 922 "../src/ui/application-window.vala"
	gtk_window_get_size ((GtkWindow*) self, &_tmp0_, &_tmp1_);
#line 922 "../src/ui/application-window.vala"
	w = _tmp0_;
#line 922 "../src/ui/application-window.vala"
	h = _tmp1_;
#line 923 "../src/ui/application-window.vala"
	result = w;
#line 923 "../src/ui/application-window.vala"
	return result;
#line 4249 "application-window.c"
}

static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gchar* _tmp0_;
	gboolean result;
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1585 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1585 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1585 "glib-2.0.vapi"
	return result;
#line 4268 "application-window.c"
}

static void
peek_ui_application_window_set_close_button_position (PeekUiApplicationWindow* self)
{
	GtkSettings* settings = NULL;
	GtkSettings* _tmp0_;
	GtkSettings* _tmp1_;
	gchar* _tmp2_ = NULL;
	GtkSettings* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* decoration_layout = NULL;
	gchar* _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
#line 926 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 927 "../src/ui/application-window.vala"
	_tmp0_ = gtk_settings_get_default ();
#line 927 "../src/ui/application-window.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 927 "../src/ui/application-window.vala"
	settings = _tmp1_;
#line 928 "../src/ui/application-window.vala"
	_tmp3_ = settings;
#line 928 "../src/ui/application-window.vala"
	g_object_get (_tmp3_, "gtk-decoration-layout", &_tmp4_, NULL);
#line 928 "../src/ui/application-window.vala"
	_tmp5_ = _tmp4_;
#line 928 "../src/ui/application-window.vala"
	_tmp2_ = _tmp5_;
#line 928 "../src/ui/application-window.vala"
	if (_tmp2_ == NULL) {
#line 4303 "application-window.c"
		gchar* _tmp6_;
#line 928 "../src/ui/application-window.vala"
		_tmp6_ = g_strdup ("");
#line 928 "../src/ui/application-window.vala"
		_g_free0 (_tmp2_);
#line 928 "../src/ui/application-window.vala"
		_tmp2_ = _tmp6_;
#line 4311 "application-window.c"
	}
#line 928 "../src/ui/application-window.vala"
	_tmp7_ = _tmp2_;
#line 928 "../src/ui/application-window.vala"
	_tmp2_ = NULL;
#line 928 "../src/ui/application-window.vala"
	decoration_layout = _tmp7_;
#line 929 "../src/ui/application-window.vala"
	_tmp8_ = decoration_layout;
#line 929 "../src/ui/application-window.vala"
	g_debug ("application-window.vala:929: Decoration layout: %s", _tmp8_);
#line 931 "../src/ui/application-window.vala"
	_tmp9_ = decoration_layout;
#line 931 "../src/ui/application-window.vala"
	if (string_contains (_tmp9_, ":")) {
#line 4327 "application-window.c"
		gchar** decoration = NULL;
		const gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint decoration_length1;
		gint _decoration_size_;
		gchar** _tmp13_;
		gint _tmp13__length1;
		const gchar* _tmp14_;
#line 932 "../src/ui/application-window.vala"
		_tmp10_ = decoration_layout;
#line 932 "../src/ui/application-window.vala"
		_tmp12_ = _tmp11_ = g_strsplit (_tmp10_, ":", 2);
#line 932 "../src/ui/application-window.vala"
		decoration = _tmp12_;
#line 932 "../src/ui/application-window.vala"
		decoration_length1 = _vala_array_length (_tmp11_);
#line 932 "../src/ui/application-window.vala"
		_decoration_size_ = decoration_length1;
#line 933 "../src/ui/application-window.vala"
		_tmp13_ = decoration;
#line 933 "../src/ui/application-window.vala"
		_tmp13__length1 = decoration_length1;
#line 933 "../src/ui/application-window.vala"
		_tmp14_ = _tmp13_[0];
#line 933 "../src/ui/application-window.vala"
		if (string_contains (_tmp14_, "close")) {
#line 934 "../src/ui/application-window.vala"
			peek_ui_application_window_move_close_button_left (self);
#line 4357 "application-window.c"
		}
#line 931 "../src/ui/application-window.vala"
		decoration = (_vala_array_free (decoration, decoration_length1, (GDestroyNotify) g_free), NULL);
#line 4361 "application-window.c"
	}
#line 926 "../src/ui/application-window.vala"
	_g_free0 (decoration_layout);
#line 926 "../src/ui/application-window.vala"
	_g_free0 (_tmp2_);
#line 926 "../src/ui/application-window.vala"
	_g_object_unref0 (settings);
#line 4369 "application-window.c"
}

static void
peek_ui_application_window_move_close_button_left (PeekUiApplicationWindow* self)
{
	gchar** decoration = NULL;
	GtkHeaderBar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar** _tmp3_;
	gchar** _tmp4_;
	gint decoration_length1;
	gint _decoration_size_;
	gboolean _tmp5_ = FALSE;
	gchar** _tmp6_;
	gint _tmp6__length1;
#line 939 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 940 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->headerbar;
#line 940 "../src/ui/application-window.vala"
	_tmp1_ = gtk_header_bar_get_decoration_layout (_tmp0_);
#line 940 "../src/ui/application-window.vala"
	_tmp2_ = _tmp1_;
#line 940 "../src/ui/application-window.vala"
	_tmp4_ = _tmp3_ = g_strsplit (_tmp2_, ":", 2);
#line 940 "../src/ui/application-window.vala"
	decoration = _tmp4_;
#line 940 "../src/ui/application-window.vala"
	decoration_length1 = _vala_array_length (_tmp3_);
#line 940 "../src/ui/application-window.vala"
	_decoration_size_ = decoration_length1;
#line 941 "../src/ui/application-window.vala"
	_tmp6_ = decoration;
#line 941 "../src/ui/application-window.vala"
	_tmp6__length1 = decoration_length1;
#line 941 "../src/ui/application-window.vala"
	if (_tmp6__length1 == 2) {
#line 4408 "application-window.c"
		gchar** _tmp7_;
		gint _tmp7__length1;
		const gchar* _tmp8_;
#line 941 "../src/ui/application-window.vala"
		_tmp7_ = decoration;
#line 941 "../src/ui/application-window.vala"
		_tmp7__length1 = decoration_length1;
#line 941 "../src/ui/application-window.vala"
		_tmp8_ = _tmp7_[1];
#line 941 "../src/ui/application-window.vala"
		_tmp5_ = string_contains (_tmp8_, "close");
#line 4420 "application-window.c"
	} else {
#line 941 "../src/ui/application-window.vala"
		_tmp5_ = FALSE;
#line 4424 "application-window.c"
	}
#line 941 "../src/ui/application-window.vala"
	if (_tmp5_) {
#line 4428 "application-window.c"
		GtkHeaderBar* _tmp9_;
		gchar** _tmp10_;
		gint _tmp10__length1;
		const gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar** _tmp14_;
		gint _tmp14__length1;
		const gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
#line 942 "../src/ui/application-window.vala"
		_tmp9_ = self->priv->headerbar;
#line 942 "../src/ui/application-window.vala"
		_tmp10_ = decoration;
#line 942 "../src/ui/application-window.vala"
		_tmp10__length1 = decoration_length1;
#line 942 "../src/ui/application-window.vala"
		_tmp11_ = _tmp10_[1];
#line 942 "../src/ui/application-window.vala"
		_tmp12_ = g_strconcat (_tmp11_, ":", NULL);
#line 942 "../src/ui/application-window.vala"
		_tmp13_ = _tmp12_;
#line 942 "../src/ui/application-window.vala"
		_tmp14_ = decoration;
#line 942 "../src/ui/application-window.vala"
		_tmp14__length1 = decoration_length1;
#line 942 "../src/ui/application-window.vala"
		_tmp15_ = _tmp14_[0];
#line 942 "../src/ui/application-window.vala"
		_tmp16_ = g_strconcat (_tmp13_, _tmp15_, NULL);
#line 942 "../src/ui/application-window.vala"
		_tmp17_ = _tmp16_;
#line 942 "../src/ui/application-window.vala"
		gtk_header_bar_set_decoration_layout (_tmp9_, _tmp17_);
#line 942 "../src/ui/application-window.vala"
		_g_free0 (_tmp17_);
#line 942 "../src/ui/application-window.vala"
		_g_free0 (_tmp13_);
#line 4468 "application-window.c"
	}
#line 939 "../src/ui/application-window.vala"
	decoration = (_vala_array_free (decoration, decoration_length1, (GDestroyNotify) g_free), NULL);
#line 4472 "application-window.c"
}

PeekRecordingScreenRecorder*
peek_ui_application_window_get_recorder (PeekUiApplicationWindow* self)
{
	PeekRecordingScreenRecorder* result;
	PeekRecordingScreenRecorder* _tmp0_;
#line 21 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 21 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_recorder;
#line 21 "../src/ui/application-window.vala"
	result = _tmp0_;
#line 21 "../src/ui/application-window.vala"
	return result;
#line 4488 "application-window.c"
}

void
peek_ui_application_window_set_recorder (PeekUiApplicationWindow* self,
                                         PeekRecordingScreenRecorder* value)
{
	PeekRecordingScreenRecorder* old_value;
#line 21 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 21 "../src/ui/application-window.vala"
	old_value = peek_ui_application_window_get_recorder (self);
#line 21 "../src/ui/application-window.vala"
	if (old_value != value) {
#line 4502 "application-window.c"
		PeekRecordingScreenRecorder* _tmp0_;
#line 21 "../src/ui/application-window.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 21 "../src/ui/application-window.vala"
		_g_object_unref0 (self->priv->_recorder);
#line 21 "../src/ui/application-window.vala"
		self->priv->_recorder = _tmp0_;
#line 21 "../src/ui/application-window.vala"
		g_object_notify_by_pspec ((GObject *) self, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_RECORDER_PROPERTY]);
#line 4512 "application-window.c"
	}
}

gboolean
peek_ui_application_window_get_open_file_manager (PeekUiApplicationWindow* self)
{
	gboolean result;
#line 23 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 23 "../src/ui/application-window.vala"
	result = self->priv->_open_file_manager;
#line 23 "../src/ui/application-window.vala"
	return result;
#line 4526 "application-window.c"
}

void
peek_ui_application_window_set_open_file_manager (PeekUiApplicationWindow* self,
                                                  gboolean value)
{
	gboolean old_value;
#line 23 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/ui/application-window.vala"
	old_value = peek_ui_application_window_get_open_file_manager (self);
#line 23 "../src/ui/application-window.vala"
	if (old_value != value) {
#line 23 "../src/ui/application-window.vala"
		self->priv->_open_file_manager = value;
#line 23 "../src/ui/application-window.vala"
		g_object_notify_by_pspec ((GObject *) self, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_OPEN_FILE_MANAGER_PROPERTY]);
#line 4544 "application-window.c"
	}
}

gboolean
peek_ui_application_window_get_show_notification (PeekUiApplicationWindow* self)
{
	gboolean result;
#line 25 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 25 "../src/ui/application-window.vala"
	result = self->priv->_show_notification;
#line 25 "../src/ui/application-window.vala"
	return result;
#line 4558 "application-window.c"
}

void
peek_ui_application_window_set_show_notification (PeekUiApplicationWindow* self,
                                                  gboolean value)
{
	gboolean old_value;
#line 25 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 25 "../src/ui/application-window.vala"
	old_value = peek_ui_application_window_get_show_notification (self);
#line 25 "../src/ui/application-window.vala"
	if (old_value != value) {
#line 25 "../src/ui/application-window.vala"
		self->priv->_show_notification = value;
#line 25 "../src/ui/application-window.vala"
		g_object_notify_by_pspec ((GObject *) self, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_SHOW_NOTIFICATION_PROPERTY]);
#line 4576 "application-window.c"
	}
}

gint
peek_ui_application_window_get_size_indicator_delay (PeekUiApplicationWindow* self)
{
	gint result;
#line 27 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 27 "../src/ui/application-window.vala"
	result = self->priv->_size_indicator_delay;
#line 27 "../src/ui/application-window.vala"
	return result;
#line 4590 "application-window.c"
}

void
peek_ui_application_window_set_size_indicator_delay (PeekUiApplicationWindow* self,
                                                     gint value)
{
	gint old_value;
#line 27 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 27 "../src/ui/application-window.vala"
	old_value = peek_ui_application_window_get_size_indicator_delay (self);
#line 27 "../src/ui/application-window.vala"
	if (old_value != value) {
#line 27 "../src/ui/application-window.vala"
		self->priv->_size_indicator_delay = value;
#line 27 "../src/ui/application-window.vala"
		g_object_notify_by_pspec ((GObject *) self, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_SIZE_INDICATOR_DELAY_PROPERTY]);
#line 4608 "application-window.c"
	}
}

gint
peek_ui_application_window_get_recording_start_delay (PeekUiApplicationWindow* self)
{
	gint result;
#line 29 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 29 "../src/ui/application-window.vala"
	result = self->priv->_recording_start_delay;
#line 29 "../src/ui/application-window.vala"
	return result;
#line 4622 "application-window.c"
}

void
peek_ui_application_window_set_recording_start_delay (PeekUiApplicationWindow* self,
                                                      gint value)
{
	gint old_value;
#line 29 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 29 "../src/ui/application-window.vala"
	old_value = peek_ui_application_window_get_recording_start_delay (self);
#line 29 "../src/ui/application-window.vala"
	if (old_value != value) {
#line 29 "../src/ui/application-window.vala"
		self->priv->_recording_start_delay = value;
#line 29 "../src/ui/application-window.vala"
		g_object_notify_by_pspec ((GObject *) self, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_RECORDING_START_DELAY_PROPERTY]);
#line 4640 "application-window.c"
	}
}

const gchar*
peek_ui_application_window_get_default_file_name_format (PeekUiApplicationWindow* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 31 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_default_file_name_format;
#line 31 "../src/ui/application-window.vala"
	result = _tmp0_;
#line 31 "../src/ui/application-window.vala"
	return result;
#line 4657 "application-window.c"
}

void
peek_ui_application_window_set_default_file_name_format (PeekUiApplicationWindow* self,
                                                         const gchar* value)
{
	gchar* old_value;
#line 31 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 31 "../src/ui/application-window.vala"
	old_value = peek_ui_application_window_get_default_file_name_format (self);
#line 31 "../src/ui/application-window.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 4671 "application-window.c"
		gchar* _tmp0_;
#line 31 "../src/ui/application-window.vala"
		_tmp0_ = g_strdup (value);
#line 31 "../src/ui/application-window.vala"
		_g_free0 (self->priv->_default_file_name_format);
#line 31 "../src/ui/application-window.vala"
		self->priv->_default_file_name_format = _tmp0_;
#line 31 "../src/ui/application-window.vala"
		g_object_notify_by_pspec ((GObject *) self, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_DEFAULT_FILE_NAME_FORMAT_PROPERTY]);
#line 4681 "application-window.c"
	}
}

const gchar*
peek_ui_application_window_get_save_folder (PeekUiApplicationWindow* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 33 "../src/ui/application-window.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "../src/ui/application-window.vala"
	_tmp0_ = self->priv->_save_folder;
#line 33 "../src/ui/application-window.vala"
	result = _tmp0_;
#line 33 "../src/ui/application-window.vala"
	return result;
#line 4698 "application-window.c"
}

void
peek_ui_application_window_set_save_folder (PeekUiApplicationWindow* self,
                                            const gchar* value)
{
	gchar* old_value;
#line 33 "../src/ui/application-window.vala"
	g_return_if_fail (self != NULL);
#line 33 "../src/ui/application-window.vala"
	old_value = peek_ui_application_window_get_save_folder (self);
#line 33 "../src/ui/application-window.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 4712 "application-window.c"
		gchar* _tmp0_;
#line 33 "../src/ui/application-window.vala"
		_tmp0_ = g_strdup (value);
#line 33 "../src/ui/application-window.vala"
		_g_free0 (self->priv->_save_folder);
#line 33 "../src/ui/application-window.vala"
		self->priv->_save_folder = _tmp0_;
#line 33 "../src/ui/application-window.vala"
		g_object_notify_by_pspec ((GObject *) self, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_SAVE_FOLDER_PROPERTY]);
#line 4722 "application-window.c"
	}
}

static void
peek_ui_application_window_class_init (PeekUiApplicationWindowClass * klass,
                                       gpointer klass_data)
{
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_parent_class = g_type_class_peek_parent (klass);
#line 20 "../src/ui/application-window.vala"
	g_type_class_adjust_private_offset (klass, &PeekUiApplicationWindow_private_offset);
#line 20 "../src/ui/application-window.vala"
	((GtkWidgetClass *) klass)->configure_event = (gboolean (*) (GtkWidget*, GdkEventConfigure*)) peek_ui_application_window_real_configure_event;
#line 20 "../src/ui/application-window.vala"
	((GtkWidgetClass *) klass)->delete_event = (gboolean (*) (GtkWidget*, GdkEventAny*)) peek_ui_application_window_real_delete_event;
#line 20 "../src/ui/application-window.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_peek_ui_application_window_get_property;
#line 20 "../src/ui/application-window.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_peek_ui_application_window_set_property;
#line 20 "../src/ui/application-window.vala"
	G_OBJECT_CLASS (klass)->finalize = peek_ui_application_window_finalize;
#line 20 "../src/ui/application-window.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PEEK_UI_APPLICATION_WINDOW_RECORDER_PROPERTY, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_RECORDER_PROPERTY] = g_param_spec_object ("recorder", "recorder", "recorder", PEEK_RECORDING_TYPE_SCREEN_RECORDER, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 20 "../src/ui/application-window.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PEEK_UI_APPLICATION_WINDOW_OPEN_FILE_MANAGER_PROPERTY, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_OPEN_FILE_MANAGER_PROPERTY] = g_param_spec_boolean ("open-file-manager", "open-file-manager", "open-file-manager", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/ui/application-window.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PEEK_UI_APPLICATION_WINDOW_SHOW_NOTIFICATION_PROPERTY, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_SHOW_NOTIFICATION_PROPERTY] = g_param_spec_boolean ("show-notification", "show-notification", "show-notification", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/ui/application-window.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PEEK_UI_APPLICATION_WINDOW_SIZE_INDICATOR_DELAY_PROPERTY, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_SIZE_INDICATOR_DELAY_PROPERTY] = g_param_spec_int ("size-indicator-delay", "size-indicator-delay", "size-indicator-delay", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/ui/application-window.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PEEK_UI_APPLICATION_WINDOW_RECORDING_START_DELAY_PROPERTY, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_RECORDING_START_DELAY_PROPERTY] = g_param_spec_int ("recording-start-delay", "recording-start-delay", "recording-start-delay", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/ui/application-window.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PEEK_UI_APPLICATION_WINDOW_DEFAULT_FILE_NAME_FORMAT_PROPERTY, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_DEFAULT_FILE_NAME_FORMAT_PROPERTY] = g_param_spec_string ("default-file-name-format", "default-file-name-format", "default-file-name-format", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/ui/application-window.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PEEK_UI_APPLICATION_WINDOW_SAVE_FOLDER_PROPERTY, peek_ui_application_window_properties[PEEK_UI_APPLICATION_WINDOW_SAVE_FOLDER_PROPERTY] = g_param_spec_string ("save-folder", "save-folder", "save-folder", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (klass), "/com/uploadedlobster/peek/application-window.ui");
#line 20 "../src/ui/application-window.vala"
	peek_ui_application_window_signals[PEEK_UI_APPLICATION_WINDOW_RECORDING_FINISHED_SIGNAL] = g_signal_new ("recording-finished", PEEK_UI_TYPE_APPLICATION_WINDOW, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "headerbar", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, headerbar));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "recording_view", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, recording_view));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "record_button", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, record_button));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "stop_button", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, stop_button));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "pop_format", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, pop_format));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "gif_button", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, gif_button));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "apng_button", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, apng_button));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "webm_button", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, webm_button));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "mp4_button", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, mp4_button));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "pop_format_menu", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, pop_format_menu));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "size_indicator", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, size_indicator));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "delay_indicator", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, delay_indicator));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "shortcut_label", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, shortcut_label));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "pop_menu_button", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, pop_menu_button));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "pop_menu", FALSE, PeekUiApplicationWindow_private_offset + G_STRUCT_OFFSET (PeekUiApplicationWindowPrivate, pop_menu));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_window_screen_changed", G_CALLBACK(_peek_ui_application_window_on_window_screen_changed_gtk_widget_screen_changed));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_window_draw", G_CALLBACK(_peek_ui_application_window_on_window_draw_gtk_widget_draw));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_recording_view_draw", G_CALLBACK(_peek_ui_application_window_on_recording_view_draw_gtk_widget_draw));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_recording_view_size_allocate", G_CALLBACK(_peek_ui_application_window_on_recording_view_size_allocate_gtk_widget_size_allocate));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_format_selection_toggled", G_CALLBACK(_peek_ui_application_window_on_format_selection_toggled_gtk_toggle_button_toggled));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_record_button_clicked", G_CALLBACK(_peek_ui_application_window_on_record_button_clicked_gtk_button_clicked));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_stop_button_clicked", G_CALLBACK(_peek_ui_application_window_on_stop_button_clicked_gtk_button_clicked));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_new_window_button_clicked", G_CALLBACK(_peek_ui_application_window_on_new_window_button_clicked_gtk_button_clicked));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_set_window_size_button_clicked", G_CALLBACK(_peek_ui_application_window_on_set_window_size_button_clicked_gtk_button_clicked));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_preferences_button_clicked", G_CALLBACK(_peek_ui_application_window_on_preferences_button_clicked_gtk_button_clicked));
#line 20 "../src/ui/application-window.vala"
	gtk_widget_class_bind_template_callback_full (GTK_WIDGET_CLASS (klass), "on_about_button_clicked", G_CALLBACK(_peek_ui_application_window_on_about_button_clicked_gtk_button_clicked));
#line 4814 "application-window.c"
}

static void
peek_ui_application_window_instance_init (PeekUiApplicationWindow * self,
                                          gpointer klass)
{
#line 20 "../src/ui/application-window.vala"
	self->priv = peek_ui_application_window_get_instance_private (self);
#line 80 "../src/ui/application-window.vala"
	self->priv->start_recording_event_source = (guint) 0;
#line 81 "../src/ui/application-window.vala"
	self->priv->size_indicator_timeout = (guint) 0;
#line 82 "../src/ui/application-window.vala"
	self->priv->delay_indicator_timeout = (guint) 0;
#line 83 "../src/ui/application-window.vala"
	self->priv->time_indicator_timeout = (guint) 0;
#line 84 "../src/ui/application-window.vala"
	self->priv->is_recording = FALSE;
#line 85 "../src/ui/application-window.vala"
	self->priv->is_postprocessing = FALSE;
#line 20 "../src/ui/application-window.vala"
	gtk_widget_init_template (GTK_WIDGET (self));
#line 4837 "application-window.c"
}

static void
peek_ui_application_window_finalize (GObject * obj)
{
	PeekUiApplicationWindow * self;
#line 20 "../src/ui/application-window.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PEEK_UI_TYPE_APPLICATION_WINDOW, PeekUiApplicationWindow);
#line 21 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->_recorder);
#line 31 "../src/ui/application-window.vala"
	_g_free0 (self->priv->_default_file_name_format);
#line 33 "../src/ui/application-window.vala"
	_g_free0 (self->priv->_save_folder);
#line 86 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->in_file);
#line 87 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->out_file);
#line 88 "../src/ui/application-window.vala"
	peek_recording_recording_area_destroy (&self->priv->active_recording_area);
#line 89 "../src/ui/application-window.vala"
	_g_free0 (self->priv->stop_button_label);
#line 93 "../src/ui/application-window.vala"
	_g_object_unref0 (self->priv->settings);
#line 20 "../src/ui/application-window.vala"
	G_OBJECT_CLASS (peek_ui_application_window_parent_class)->finalize (obj);
#line 4864 "application-window.c"
}

static GType
peek_ui_application_window_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (PeekUiApplicationWindowClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) peek_ui_application_window_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PeekUiApplicationWindow), 0, (GInstanceInitFunc) peek_ui_application_window_instance_init, NULL };
	GType peek_ui_application_window_type_id;
	peek_ui_application_window_type_id = g_type_register_static (gtk_application_window_get_type (), "PeekUiApplicationWindow", &g_define_type_info, 0);
	PeekUiApplicationWindow_private_offset = g_type_add_instance_private (peek_ui_application_window_type_id, sizeof (PeekUiApplicationWindowPrivate));
	return peek_ui_application_window_type_id;
}

GType
peek_ui_application_window_get_type (void)
{
	static volatile gsize peek_ui_application_window_type_id__once = 0;
	if (g_once_init_enter (&peek_ui_application_window_type_id__once)) {
		GType peek_ui_application_window_type_id;
		peek_ui_application_window_type_id = peek_ui_application_window_get_type_once ();
		g_once_init_leave (&peek_ui_application_window_type_id__once, peek_ui_application_window_type_id);
	}
	return peek_ui_application_window_type_id__once;
}

static void
_vala_peek_ui_application_window_get_property (GObject * object,
                                               guint property_id,
                                               GValue * value,
                                               GParamSpec * pspec)
{
	PeekUiApplicationWindow * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PEEK_UI_TYPE_APPLICATION_WINDOW, PeekUiApplicationWindow);
#line 20 "../src/ui/application-window.vala"
	switch (property_id) {
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_RECORDER_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		g_value_set_object (value, peek_ui_application_window_get_recorder (self));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_OPEN_FILE_MANAGER_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		g_value_set_boolean (value, peek_ui_application_window_get_open_file_manager (self));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_SHOW_NOTIFICATION_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		g_value_set_boolean (value, peek_ui_application_window_get_show_notification (self));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_SIZE_INDICATOR_DELAY_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		g_value_set_int (value, peek_ui_application_window_get_size_indicator_delay (self));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_RECORDING_START_DELAY_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		g_value_set_int (value, peek_ui_application_window_get_recording_start_delay (self));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_DEFAULT_FILE_NAME_FORMAT_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		g_value_set_string (value, peek_ui_application_window_get_default_file_name_format (self));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_SAVE_FOLDER_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		g_value_set_string (value, peek_ui_application_window_get_save_folder (self));
#line 20 "../src/ui/application-window.vala"
		break;
#line 4941 "application-window.c"
		default:
#line 20 "../src/ui/application-window.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "../src/ui/application-window.vala"
		break;
#line 4947 "application-window.c"
	}
}

static void
_vala_peek_ui_application_window_set_property (GObject * object,
                                               guint property_id,
                                               const GValue * value,
                                               GParamSpec * pspec)
{
	PeekUiApplicationWindow * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PEEK_UI_TYPE_APPLICATION_WINDOW, PeekUiApplicationWindow);
#line 20 "../src/ui/application-window.vala"
	switch (property_id) {
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_RECORDER_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		peek_ui_application_window_set_recorder (self, g_value_get_object (value));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_OPEN_FILE_MANAGER_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		peek_ui_application_window_set_open_file_manager (self, g_value_get_boolean (value));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_SHOW_NOTIFICATION_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		peek_ui_application_window_set_show_notification (self, g_value_get_boolean (value));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_SIZE_INDICATOR_DELAY_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		peek_ui_application_window_set_size_indicator_delay (self, g_value_get_int (value));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_RECORDING_START_DELAY_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		peek_ui_application_window_set_recording_start_delay (self, g_value_get_int (value));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_DEFAULT_FILE_NAME_FORMAT_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		peek_ui_application_window_set_default_file_name_format (self, g_value_get_string (value));
#line 20 "../src/ui/application-window.vala"
		break;
#line 20 "../src/ui/application-window.vala"
		case PEEK_UI_APPLICATION_WINDOW_SAVE_FOLDER_PROPERTY:
#line 20 "../src/ui/application-window.vala"
		peek_ui_application_window_set_save_folder (self, g_value_get_string (value));
#line 20 "../src/ui/application-window.vala"
		break;
#line 5003 "application-window.c"
		default:
#line 20 "../src/ui/application-window.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "../src/ui/application-window.vala"
		break;
#line 5009 "application-window.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

static inline gpointer
_vala_memdup2 (gconstpointer mem,
               gsize byte_size)
{
	gpointer new_mem;
	if (mem && byte_size != 0) {
		new_mem = g_malloc (byte_size);
		memcpy (new_mem, mem, byte_size);
	} else {
		new_mem = NULL;
	}
	return new_mem;
}

